<?xml version="1.0"?>
<!--
#
# System:		flash chart
#
# File:			dd_chart.xsl
#
# Title:		Flash chart
#
# Description:  
# 				Display a flashchart
#
# History:
# 12-12-2006	RuBr	Creator 
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml"/>
	
	<xsl:template match="/diag">
		<xsl:for-each select="chart">
			<chart>
				<chart_type><xsl:value-of select="./style/@charttype" /></chart_type>
				<chart_data>
					<row>
						<null/>
						<xsl:for-each select="./header">
							<string><xsl:value-of select="."/></string>
						</xsl:for-each>
					</row>
					<xsl:for-each select="./item">
						<row>
							<string><xsl:value-of select="@value" /></string>
							<xsl:for-each select="./label">
								<number><xsl:value-of select="."/></number>
							</xsl:for-each>
						</row>
					</xsl:for-each>
				</chart_data>
				
				<xsl:if test="./draw">
					<xsl:copy-of select="./draw"/>
				</xsl:if>
				<xsl:if test="./link_data">
					<xsl:copy-of select="./link_data"/>
				</xsl:if>
				
				<xsl:if test="./style/axis_category">
					<xsl:copy-of select="./style/axis_category"/>
				</xsl:if>
				<xsl:if test="./style/axis_ticks">
					<xsl:copy-of select="./style/axis_ticks"/>
				</xsl:if>
				<xsl:if test="./style/axis_value">
					<xsl:copy-of select="./style/axis_value"/>
				</xsl:if>
				
				<xsl:if test="./style/chart_pref">
					<xsl:copy-of select="./style/chart_pref"/>
				</xsl:if>
				<xsl:if test="./style/chart_rect">
					<xsl:copy-of select="./style/chart_rect"/>
				</xsl:if>
				<xsl:if test="./style/chart_transition">
					<xsl:copy-of select="./style/chart_transition"/>
				</xsl:if>
				<xsl:if test="./style/chart_value">
					<xsl:copy-of select="./style/chart_value"/>
				</xsl:if>
				<xsl:if test="./style/legend_label">
					<xsl:copy-of select="./style/legend_label"/>
				</xsl:if>
				<xsl:if test="./style/legend_rect">
					<xsl:copy-of select="./style/legend_rect"/>
				</xsl:if>
				<xsl:if test="./style/series_color">
					<xsl:copy-of select="./style/series_color"/>
				</xsl:if>
				<xsl:if test="./style/series_explode">
					<xsl:copy-of select="./style/series_explode"/>
				</xsl:if>
				
				<xsl:if test="./style/series_gap">
					<xsl:copy-of select="./style/series_gap"/>
				</xsl:if>
				<xsl:if test="./style/chart_grid_h">
					<xsl:copy-of select="./style/chart_grid_h"/>
				</xsl:if>
				<xsl:if test="./style/chart_grid_v">
					<xsl:copy-of select="./style/chart_grid_v"/>
				</xsl:if>
			</chart>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
