<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: label

Description: A label element is only for display puposes

-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<!-- for backward compatibility all subtypes are named but are no longer necessary -->
	<xsl:template match="attr[@fieldtype='label']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
				<xsl:choose>
					<xsl:when test="./@label != ''">
						<xsl:value-of select="./@label"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="./content"/>
					</xsl:otherwise>
				</xsl:choose>	
		</xsl:if>
	</xsl:template>
	
	
	<xsl:template match="attr[@fieldtype='bigtext' or @fieldtype='normaltext' or @fieldtype='smalltext' or @fieldtype='feedbackoktext' or @fieldtype='feedbackconfirmtext' or @fieldtype='feedbackerrortext']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<span>
				<xsl:attribute name="class"><xsl:value-of select="@fieldtype"/></xsl:attribute>
				<xsl:value-of select="./content"/>
			</span>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
