<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: 

Description:

-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="attr[@fieldtype='labelfield']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
				
				<xsl:choose>
					<xsl:when test="@jumpto[.!='']">
						<a class="label_link" >
							<xsl:attribute name="onclick">
								<xsl:call-template name="make_link">
									<xsl:with-param name="link"><xsl:value-of select="@jumpto" /></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
							<xsl:choose>
								<xsl:when test="content[.!='']"><xsl:value-of select="content"/></xsl:when>
								<xsl:otherwise><xsl:value-of select="@default"/></xsl:otherwise>
							</xsl:choose>				
						</a>
					</xsl:when>				
					<xsl:when test="@detailscall !=''">
						<a class="label_link">
							<xsl:attribute name="onclick">
								<xsl:call-template name="make_link">
									<xsl:with-param name="link"><xsl:value-of select="@detailscall" /></xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
							<xsl:choose>
								<xsl:when test="content[.!='']"><xsl:value-of select="content"/></xsl:when>
								<xsl:otherwise><xsl:value-of select="@default"/></xsl:otherwise>
							</xsl:choose>
						</a>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="content[.!='']"><xsl:value-of select="content"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="@default"/></xsl:otherwise>
						</xsl:choose>				
					</xsl:otherwise>
				</xsl:choose>
			<input type="hidden"  >
				<xsl:if test="@id[.!='']"><xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute></xsl:if>
				<xsl:choose>
					<xsl:when test="content[.!='']"><xsl:attribute name="value"><xsl:value-of select="content"/></xsl:attribute></xsl:when>
					<xsl:otherwise><xsl:attribute name="value"><xsl:value-of select="@default"/></xsl:attribute></xsl:otherwise>
				</xsl:choose>				
			</input>

		</xsl:if>	
	</xsl:template>
	
	
	<xsl:template match="attr[@fieldtype='message']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<xsl:for-each select="item">
				<div class="alert">
					<xsl:attribute name="class">alert <xsl:value-of select="@class" /></xsl:attribute>
					
				  	<button type="button" class="close">
				  		<xsl:attribute name="onclick">
							<xsl:text>javascript:document.getElementById('</xsl:text>
							<xsl:value-of select="../@id"/><xsl:text>').value='</xsl:text><xsl:value-of select="@value"/>
							<xsl:text>';</xsl:text>
							<xsl:call-template name="make_submit">
								<xsl:with-param name="id"><xsl:value-of select="@details_sub_call"/></xsl:with-param>
								<xsl:with-param name="target"><xsl:value-of select="@target"/></xsl:with-param>
								<xsl:with-param name="expire"><xsl:value-of select="@expire"/></xsl:with-param>
							</xsl:call-template>
						</xsl:attribute>
				  		<xsl:text>&#215;</xsl:text>
				  	</button>
				  	<xsl:value-of select="." disable-output-escaping="yes" />
				</div>
			</xsl:for-each>
			<input type="hidden" >									
				<xsl:if test="@id[.!='']">
					<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
					<xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute>
				</xsl:if>
			</input>
		</xsl:if>	
	</xsl:template>

</xsl:stylesheet>
