﻿<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: 

Description:

-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="attr[@fieldtype='popup' or @fieldtype='scrolling_list']">
		<xsl:variable name="formid" select="$formid" />
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<select class="select_item nihilo" data-dojo-type="chy/form/Select">
    				
   				<xsl:if test="@id[.!='']"><xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute></xsl:if>
				<xsl:if test="@id[.!='']"><xsl:attribute name="id"><xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/></xsl:attribute></xsl:if>
    			<xsl:attribute name="data-dojo-props">
					formId:'<xsl:value-of select="$formid"/>'
				</xsl:attribute>
    			<!-- Formatting -->
    			<xsl:if test="@size[.!='']"><xsl:attribute name="size"><xsl:value-of select="@size"/></xsl:attribute></xsl:if>
				<xsl:if test="@disabled[.='true']"><xsl:attribute name="disabled"><xsl:text>disabled</xsl:text></xsl:attribute></xsl:if>
				<xsl:if test="@title[.!='']"><xsl:attribute name="onmouseover"><xsl:text>return escape('</xsl:text><xsl:value-of select="@title"/><xsl:text>');</xsl:text></xsl:attribute></xsl:if>
				<xsl:if test="@width[.!='']"><xsl:attribute name="style">width:<xsl:value-of select="@width"/>;</xsl:attribute></xsl:if>
				<xsl:if test="@validate[.!='']"><xsl:attribute name="alt"><xsl:value-of select="@validate"/></xsl:attribute></xsl:if>
				<xsl:if test="@readonly='true'"><xsl:attribute name="disabled"></xsl:attribute></xsl:if>
				<xsl:if test="@required[.='true']"><xsl:attribute name="required"><xsl:value-of select="@required"/></xsl:attribute></xsl:if>
				<!-- Events -->
				<xsl:if test="@onchange">
					<xsl:attribute name="class">active</xsl:attribute>
					<xsl:attribute name="onchange">
						<xsl:call-template name="make_link">
							<xsl:with-param name="link"><xsl:value-of select="@onchange" /></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="@onchange_submit">
					<xsl:attribute name="class">select_active</xsl:attribute>
					<xsl:attribute name="onchange">
						<xsl:call-template name="make_submit">
							<xsl:with-param name="id"><xsl:value-of select="@onchange_submit"/></xsl:with-param>
							<xsl:with-param name="target"><xsl:value-of select="@target"/></xsl:with-param>
							<xsl:with-param name="expire"></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>	
				</xsl:if>
				<xsl:if test="@ondblclick">
					<xsl:attribute name="class">select_active</xsl:attribute>
					<xsl:attribute name="ondblclick">
						<xsl:call-template name="make_submit">
							<xsl:with-param name="id"><xsl:value-of select="@ondblclick"/></xsl:with-param>
							<xsl:with-param name="target"><xsl:value-of select="@target"/></xsl:with-param>
							<xsl:with-param name="expire"></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</xsl:if>
				
				<!-- Content, LET OP! altijd eerst een lege option, anders pakt dojo selected value niet bij initialisatie van het component. -->
				<option value="" />
				<xsl:for-each select="item">
					<option>
						<xsl:if test="../@default=@value and string-length(../content) = 0"><xsl:attribute name="selected"></xsl:attribute></xsl:if>
						<xsl:if test="normalize-space(../content)=normalize-space(@value)"><xsl:attribute name="selected"></xsl:attribute></xsl:if>
						<xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
						<xsl:choose>
							<xsl:when test="@label[.!='']"><xsl:value-of select="@label"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="@value"/></xsl:otherwise>
						</xsl:choose>
					</option>
				</xsl:for-each>
				
			</select>
		</xsl:if>	
	</xsl:template>

</xsl:stylesheet>
