<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: 

Description:

-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="attr[@fieldtype='radio' or @fieldtype='checkbox' or @fieldtype='incheckbox']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<xsl:if test="@fieldtype='checkbox' and (not(@noselectall) or @noselectall[.!='true'] )and (not(@disabled) or @disabled[.!='true'] ) and count(item)&gt;3">
				<span class="objectpair">
					<a>
						<xsl:attribute name="onclick">checkall('<xsl:value-of select="@id"/>');</xsl:attribute>
						<xsl:choose>
							<xsl:when test="@selectalllabel">
								<xsl:value-of select="@selectalllabel" />
							</xsl:when>
							<xsl:otherwise>select all</xsl:otherwise>
						</xsl:choose>
					</a>
					<xsl:text>&#160;/&#160;</xsl:text>
					<a>
						<xsl:attribute name="onclick">uncheckall('<xsl:value-of select="@id"/>');</xsl:attribute>
						<xsl:choose>
							<xsl:when test="@deselectalllabel">
								<xsl:value-of select="@deselectalllabel" />
							</xsl:when>
							<xsl:otherwise>deselect all</xsl:otherwise>
						</xsl:choose>
					</a>
				</span>
				<div style="clear:both;">
					<xsl:comment>spacer</xsl:comment>
				</div>
			</xsl:if>
			<xsl:for-each select="item">
				<span class="objectpair">
					<input class="radio_item"  >
						<!-- Type -->					
						<xsl:choose>
							<xsl:when test="../@fieldtype!='incheckbox'">
								<xsl:attribute name="type">
									<xsl:value-of select="../@fieldtype"/>
								</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="type">checkbox</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="../@id[.!='']">
							<xsl:attribute name="name">
								<xsl:value-of select="../@id"/>
							</xsl:attribute>
							<xsl:attribute name="id">
								<xsl:value-of select="../@id"/>_<xsl:value-of select="@value"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="value">
							<xsl:value-of select="@value"/>
						</xsl:attribute>

						<!-- Formatting -->
						<xsl:if test="../@disabled[.='true']">
							<xsl:attribute name="disabled">
								<xsl:text>disabled</xsl:text>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="@title[.!='']">
							<xsl:attribute name="onmouseover">
								<xsl:text>return escape('</xsl:text>
								<xsl:value-of select="@title"/>
								<xsl:text>');</xsl:text>
							</xsl:attribute>
						</xsl:if>

						<!-- Validation -->
						<xsl:if test="../@validate[.!='']">
							<xsl:attribute name="alt">
								<xsl:value-of select="../@validate"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="../@required[.='true']">
							<xsl:attribute name="required">
								<xsl:value-of select="../@required"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="../@errortext[.!='']">
							<xsl:attribute name="emsg">
								<xsl:value-of select="@errortext"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="../@pattern[.!='']">
							<xsl:attribute name="pattern">
								<xsl:value-of select="@pattern"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="../@onchange_submit">
							<xsl:attribute name="onclick">
								<xsl:call-template name="make_submit">
									<xsl:with-param name="id">
										<xsl:value-of select="../@onchange_submit"/>
									</xsl:with-param>
									<xsl:with-param name="target">
										<xsl:value-of select="@target"/>
									</xsl:with-param>
									<xsl:with-param name="expire"/>
								</xsl:call-template>
							</xsl:attribute>	
						</xsl:if>
						<!-- Content -->
						<xsl:if test="@default='true' and ../content=''">
							<xsl:attribute name="checked"/>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="../@fieldtype!='incheckbox'">
								<xsl:if test="../@default=@value and ../content=''">
									<xsl:attribute name="checked"/>
								</xsl:if>			
								<xsl:if test="../content=@value">
									<xsl:attribute name="checked"/>
								</xsl:if>			
							</xsl:when>
							<xsl:otherwise>
								<xsl:if test="contains(../@default,@value) and ../content=''">
									<xsl:attribute name="checked"/>
								</xsl:if>			
								<xsl:if test="contains(../content,@value)">
									<xsl:attribute name="checked"/>
								</xsl:if>			
							</xsl:otherwise>
						</xsl:choose>								

					</input>
					<label class="radio_label">
						<xsl:attribute name="for">
							<xsl:value-of select="../@id"/>_<xsl:value-of select="@value"/>
						</xsl:attribute>
						<xsl:choose>
							<xsl:when test="@label[.!='']">
								<xsl:value-of select="@label"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:if test="../@fieldtype='radio' and not(@label)">
									<xsl:value-of select="@value"/>
								</xsl:if>
							</xsl:otherwise>
						</xsl:choose>
					</label>
					<xsl:if test="../@validate[.!='']">
						<span>
							<xsl:attribute name="id">errorsDiv<xsl:value-of select="generate-id(../../../..)"/>_<xsl:value-of select="../@id"/>_<xsl:value-of select="@value"/>
							</xsl:attribute>
							<xsl:comment>//</xsl:comment>
						</span>
					</xsl:if>
				</span>
				<xsl:if test="../@linebreak='true'">
					<div style="clear:both;">
						<xsl:comment>spacer</xsl:comment>
					</div>
				</xsl:if>
			</xsl:for-each>
		</xsl:if>	
	</xsl:template>

</xsl:stylesheet>
