﻿<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: 

Description:

-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:ease="http://www.benp.nl" xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xsl:import href="../../custom.xsl"/>

	<xsl:template match="attr[@fieldtype='table_sel' or @fieldtype='table_list' or @fieldtype='table_multi_sel' or @fieldtype='table_graph_sel']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<xsl:if test="@fieldtype='table_graph_sel' or ./item/label/@details_sub_call">
				<xsl:call-template name="hidden_id_name_with_id_id"/>
			</xsl:if>
			<xsl:if test="@sort_sub_call">
				<xsl:call-template name="hidden_id_name_with_SORT_id_sortparam"/>
			</xsl:if>
			<xsl:if test="pager[@position='top' or @position='both']">
				<xsl:call-template name="pager" />
			</xsl:if>
			<div class="tablewrapper">
				<table>
					<xsl:attribute name="class">
						<xsl:text>table table-condensed</xsl:text>
						<xsl:if test="not(@border) or @border!='none'">
							<xsl:text> table-bordered </xsl:text>
						</xsl:if>
						<xsl:if test="not(@hover) or @hover!='none'">
							<xsl:text> table-hover </xsl:text>
						</xsl:if>
						<xsl:value-of select="@class"/>
					</xsl:attribute>
					<xsl:if test="@width">
						<xsl:attribute name="width">
							<xsl:value-of select="@width"/>
						</xsl:attribute>
					</xsl:if>
					<xsl:if test="header[.!='']">
						<xsl:call-template name="table_header" />
					</xsl:if>	
					<xsl:call-template name="table_body" />		
				</table>
			</div>
			<xsl:if test="pager[@position='bottom' or @position='both' or not(@position)]">
				<xsl:call-template name="pager"/>
			</xsl:if>	
		</xsl:if>
	</xsl:template>

	<xsl:template name="pager">
		<xsl:variable name="baselink">
			<xsl:choose>
				<xsl:when test="pager/@pagecall">
					<xsl:value-of select="pager/@pagecall" />&amp;<xsl:value-of select="pager/@pageindex"/>=</xsl:when>
				<xsl:when test="pager/@page_call">
					<xsl:value-of select="pager/@page_call" />&amp;<xsl:value-of select="pager/@page_index"/>=</xsl:when>
				<xsl:when test="@pagecall">
					<xsl:value-of select="@pagecall" />&amp;<xsl:value-of select="@pageinded"/>=</xsl:when>
				<xsl:when test="@page_call">
					<xsl:value-of select="@page_call" />&amp;<xsl:value-of select="@page_index"/>=</xsl:when>
			</xsl:choose>
		</xsl:variable>
		<div class="paging">
			<xsl:call-template name="pagination-centered" >
				<xsl:with-param name="baselink" select="$baselink" />
			</xsl:call-template>
			<xsl:call-template name="pageinfo">
				<xsl:with-param name="baselink" select="$baselink" />
			</xsl:call-template>
		</div>
	</xsl:template>

	<xsl:template name="pageinfo">
		<xsl:param name="baselink"/>
		<p>
			<xsl:if test="pager/@pagerlabel">
				<span class="pagerleft">
					<xsl:value-of select="pager/@pagerlabel" />
				</span>
			</xsl:if>
			<xsl:if test="pager/pagesize">
				<span class="pagerright">
					<xsl:value-of select="pager/pagesize/@prefix" />
					<span>
						<xsl:for-each select="pager/pagesize/item">
							<a>
								<xsl:attribute name="onclick">
									<xsl:call-template name="make_link">
										<xsl:with-param name="link">
											<xsl:value-of select="$baselink" />1&amp;<xsl:value-of select="../../@pagesize"/>=<xsl:value-of select="@value" />
										</xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
								<xsl:value-of select="." />
							</a>
							<xsl:text/>
						</xsl:for-each>
					</span>
					<xsl:value-of select="pager/pagesize/@suffix" />
				</span>
			</xsl:if>
		</p>
	</xsl:template>

	<xsl:template name="pagination-centered">
		<xsl:param name="baselink"/>
		<div class="inner">
			<xsl:if test="pager/page[@id='first']">
				<a class="prev">
					<xsl:attribute name="onclick">
						<xsl:call-template name="make_link">
							<xsl:with-param name="link">
								<xsl:value-of select="$baselink" />
								<xsl:value-of select="pager/page[@id='first']/@page_index" />
							</xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
					<i class="fa fa-lg fa-angle-double-left">
						<xsl:comment>spacer</xsl:comment>
					</i>
				</a>
			</xsl:if>
			<xsl:if test="pager/page[@id='prev']">
				<a  class="prev">
					<xsl:attribute name="onclick">
						<xsl:call-template name="make_link">
							<xsl:with-param name="link">
								<xsl:value-of select="$baselink" />
								<xsl:value-of select="pager/page[@id='prev']/@page_index" />
							</xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
					<i class="fa fa-lg fa-angle-left">
						<xsl:comment>spacer</xsl:comment>
					</i>
				</a>
			</xsl:if>
			<xsl:if test="pager/page[not(@id) or @id='']">
				<ul>
					<xsl:for-each select="pager/page[not(@id) or @id='']">
						<li>
							<!--<xsl:attribute name="class">
							<xsl:if test="./@page_index=../@current">active</xsl:if>
						</xsl:attribute>-->
							<a>
								<xsl:attribute name="onclick">
									<xsl:call-template name="make_link">
										<xsl:with-param name="link">
											<xsl:value-of select="$baselink" />
											<xsl:value-of select="@page_index" />
										</xsl:with-param>
									</xsl:call-template>
								</xsl:attribute>
								<xsl:choose>
									<xsl:when test="@label[.!='']">
										<xsl:value-of select="@label"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="@index"/>
									</xsl:otherwise>
								</xsl:choose>
							</a>
						</li>
					</xsl:for-each>
				</ul>
			</xsl:if>
			<xsl:if test="pager/page[@id='last']">
				<a class="next">
					<xsl:attribute name="onclick">
						<xsl:call-template name="make_link">
							<xsl:with-param name="link">
								<xsl:value-of select="$baselink" />
								<xsl:value-of select="pager/page[@id='last']/@page_index" />
							</xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
					<i class="fa fa-lg fa-angle-double-right">
						<xsl:comment>spacer</xsl:comment>
					</i>
				</a>
			</xsl:if>
			<xsl:if test="pager/page[@id='next']">
				<a class="next">
					<xsl:attribute name="onclick">
						<xsl:call-template name="make_link">
							<xsl:with-param name="link">
								<xsl:value-of select="$baselink" />
								<xsl:value-of select="pager/page[@id='next']/@page_index" />
							</xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
					<i class="fa fa-lg fa-angle-right">
						<xsl:comment>spacer</xsl:comment>
					</i>
				</a>
			</xsl:if>

		</div>
	</xsl:template>

	<xsl:template name="label_attrset">
		<xsl:choose>
			<xsl:when test="@class !=''">
				<xsl:attribute name="class">table_inner <xsl:value-of select="@class" />
				</xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="class">table_inner</xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="@colspan">
			<xsl:attribute name="colspan">
				<xsl:value-of select="@colspan"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="@rowspan">
			<xsl:attribute name="rowspan">
				<xsl:value-of select="@rowspan"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="@width[.!='']">
			<xsl:attribute name="width">
				<xsl:value-of select="@width" />
			</xsl:attribute>
		</xsl:if>
		<span>
			<xsl:if test="attr/@class[.!='']">
				<xsl:attribute name="class">
					<xsl:value-of select="attr/@class" />
				</xsl:attribute>
			</xsl:if>
			<xsl:if test="attr/@width[.!='']">
				<xsl:attribute name="width">
					<xsl:value-of select="attr/@width" />
				</xsl:attribute>
			</xsl:if>
			<xsl:if test="attr/@title[.!='']">
				<xsl:attribute name="title">
					<xsl:value-of select="attr/@title" />
				</xsl:attribute>
			</xsl:if>
			<xsl:apply-templates select="attr|grid"/>
		</span>
	</xsl:template>

	<xsl:template name="label_detailscall">
		<xsl:choose>
			<xsl:when test="@image !=''">
				<img border="0" >
					<xsl:attribute name="src">
						<xsl:value-of select="@image"/>
					</xsl:attribute>
					<xsl:attribute name="onclick">
						<xsl:text>hideTooltip();</xsl:text>
						<xsl:call-template name="make_link">
							<xsl:with-param name="link">
								<xsl:value-of select="@detailscall" />
							</xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
					<xsl:if test=".!=''">
						<xsl:attribute name="onmouseout">hideTooltip();</xsl:attribute>
						<xsl:attribute name="onmouseover">
							<xsl:text>showTooltip(event,'</xsl:text>
							<xsl:value-of select="." />
							<xsl:text>');</xsl:text>
						</xsl:attribute>
					</xsl:if>
					<xsl:attribute name="alt">
						<xsl:value-of select="." />
					</xsl:attribute>
				</img>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="@tooltip!=''">
						<a>
							<xsl:attribute name="class">
								<xsl:text>table_inner </xsl:text>
								<xsl:if test="@linkclass">
									<xsl:value-of select="@linkclass"/>
								</xsl:if>
							</xsl:attribute>
							<xsl:attribute name="id">
								<xsl:value-of select="generate-id()" />
							</xsl:attribute>
							<xsl:attribute name="onmouseover">displayTooltipContent('<xsl:value-of select="generate-id(.)" />', '<xsl:value-of select="@tooltip"/>');</xsl:attribute>
							<xsl:attribute name="onclick">
								<xsl:value-of select="@onclick" />
								<xsl:call-template name="make_link">
									<xsl:with-param name="link">
										<xsl:value-of select="@detailscall" />
									</xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
							<xsl:copy-of select="./text() | ./*"/>
						</a>
					</xsl:when>
					<xsl:otherwise>
						<a>
							<xsl:attribute name="id">
								<xsl:value-of select="generate-id()" />
							</xsl:attribute>
							<xsl:attribute name="class">
								<xsl:text>table_inner </xsl:text>
								<xsl:if test="@linkclass">
									<xsl:value-of select="@linkclass"/>
								</xsl:if>
							</xsl:attribute>
							<xsl:attribute name="onclick">
								<xsl:value-of select="@onclick" />
								<xsl:call-template name="make_link">
									<xsl:with-param name="link">
										<xsl:value-of select="@detailscall" />
									</xsl:with-param>
								</xsl:call-template>
							</xsl:attribute>
							<xsl:copy-of select="./text()"/>
						</a>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="handle_item">
		<xsl:for-each select="item">
			<span>
				<xsl:if test="@class !=''">
					<xsl:attribute name="class">table_inner <xsl:value-of select="@class" />
					</xsl:attribute>
				</xsl:if>
				<xsl:choose>
					<xsl:when test="@detailscall !=''">	
						<xsl:choose>
							<xsl:when test="@image !=''">
								<img border="0" >
									<xsl:attribute name="src">
										<xsl:value-of select="@image"/>
									</xsl:attribute>
									<xsl:attribute name="onclick">
										<xsl:text>hideTooltip();</xsl:text>
										<xsl:call-template name="make_link">
											<xsl:with-param name="link">
												<xsl:value-of select="@detailscall" />
											</xsl:with-param>
										</xsl:call-template>
									</xsl:attribute>
									<xsl:if test=".!=''">
										<xsl:attribute name="onmouseout">hideTooltip();</xsl:attribute>
										<xsl:attribute name="onmouseover">
											<xsl:text>showTooltip(event,'</xsl:text>
											<xsl:value-of select="." />
											<xsl:text>');</xsl:text>
										</xsl:attribute>
									</xsl:if>
									<xsl:attribute name="alt">
										<xsl:value-of select="." />
									</xsl:attribute>
								</img>
							</xsl:when>
							<xsl:otherwise>
								<xsl:choose>
									<xsl:when test="@tooltip!=''">
										<a>
											<xsl:attribute name="class">
												<xsl:text>table_inner </xsl:text>
												<xsl:if test="@linkclass">
													<xsl:value-of select="@linkclass"/>
												</xsl:if>
											</xsl:attribute>
											<xsl:attribute name="id">
												<xsl:value-of select="generate-id()" />
											</xsl:attribute>
											<xsl:attribute name="onmouseover">displayTooltipContent('<xsl:value-of select="generate-id(.)" />', '<xsl:value-of select="@tooltip"/>');</xsl:attribute>
											<xsl:attribute name="onclick">
												<xsl:call-template name="make_link">
													<xsl:with-param name="link">
														<xsl:value-of select="@detailscall" />
													</xsl:with-param>
												</xsl:call-template>
											</xsl:attribute>
											<xsl:copy-of select="./text() | ./*"/>
										</a>
									</xsl:when>
									<xsl:otherwise>
										<a>
											<xsl:attribute name="class">
												<xsl:text>table_inner </xsl:text>
												<xsl:if test="@linkclass">
													<xsl:value-of select="@linkclass"/>
												</xsl:if>
											</xsl:attribute>
											<xsl:attribute name="onclick">
												<xsl:call-template name="make_link">
													<xsl:with-param name="link">
														<xsl:value-of select="@detailscall" />
													</xsl:with-param>
												</xsl:call-template>
											</xsl:attribute>
											<xsl:copy-of select="./text()"/>
										</a>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:copy-of select="./text() | ./*"/>
					</xsl:otherwise>
				</xsl:choose>
			</span>															
		</xsl:for-each>
	</xsl:template>

	<xsl:template name="table_header">
		<thead>
			<tr class="tableheader">
				<xsl:if test="@fieldtype='table_sel' or @fieldtype='table_multi_sel' or @fieldtype='table_graph_sel'">
					<th class="tableheader">
						<xsl:choose>
							<xsl:when test="@selectHeaderImage[.!='']">
								<img border="0">
									<xsl:attribute name="src">
										<xsl:value-of select="@selectHeaderImage" />
									</xsl:attribute>
								</img>
							</xsl:when>
							<xsl:when test="@selectHeaderText[.!='']">
								<xsl:value-of select="@selectHeaderText" />
							</xsl:when>
							<xsl:otherwise>Selecteer</xsl:otherwise>
						</xsl:choose>
					</th>
				</xsl:if>
				<xsl:for-each select="header">
					<xsl:if test="(not(contains(@lock,'true')) or not(@lock))">
						<th>
							<xsl:attribute name="class">
								<xsl:text>tableheader </xsl:text>
								<xsl:if test="@class">
									<xsl:value-of select="@class"/>
								</xsl:if>
							</xsl:attribute>
							<xsl:if test="@verticalText[.='true']">
								<xsl:attribute name="style">writing-mode: tb-rl; filter: flipv fliph; font-weight : normal; padding-bottom: 6px;</xsl:attribute>
							</xsl:if>
							<xsl:if test="@width">
								<xsl:attribute name="width">
									<xsl:value-of select="@width"/>
								</xsl:attribute>
								<xsl:attribute name="nospan">true</xsl:attribute>
							</xsl:if>
							<xsl:if test="@valign">
								<xsl:attribute name="valign">
									<xsl:value-of select="@valign"/>
								</xsl:attribute>
							</xsl:if>
							<xsl:if test="@align">
								<xsl:attribute name="align">
									<xsl:value-of select="@align"/>
								</xsl:attribute>
							</xsl:if>
							<xsl:if test="@colspan">
								<xsl:attribute name="colspan">
									<xsl:value-of select="@colspan"/>
								</xsl:attribute>
							</xsl:if>
							<xsl:if test="not(@nowrap) or @nowrap[.!='true']">
								<xsl:attribute name="nowrap">nowrap</xsl:attribute>
							</xsl:if>
							<xsl:if test="@sub_label!=''">
								<br  />
								<xsl:value-of select="@sub_label"/>
							</xsl:if>

							<xsl:choose>
								<xsl:when test="../@sortcall !='' and @sort!=''">
									<a>
										<xsl:attribute name="onclick">
											<xsl:call-template name="make_link">
												<xsl:with-param name="link">
													<xsl:value-of select="../@sortcall" />
													<xsl:text>&amp;</xsl:text>
													<xsl:choose>
														<xsl:when test="../@sortparam[.!='']">
															<xsl:value-of select="../@sortparam" />
														</xsl:when>
														<xsl:otherwise>
															<xsl:text>SORT</xsl:text>
														</xsl:otherwise>
													</xsl:choose>
													<xsl:text>=</xsl:text>
													<xsl:value-of select="@sort"/>
													<xsl:if test="../@sort=@sort"> DESC</xsl:if>
												</xsl:with-param>
											</xsl:call-template>
										</xsl:attribute>
										<xsl:value-of select="."/>
									</a>
									<xsl:choose>
										<xsl:when test="(../@sort=@sort ) and contains(../@sort,@sort)">
											<i class="fa fa-angle-up">
												<xsl:comment>spacer</xsl:comment>
											</i> 
										</xsl:when>
										<xsl:when test="(../@sort!=@sort ) and contains(../@sort,@sort)">
											<i class="fa fa-angle-down">
												<xsl:comment>spacer</xsl:comment>
											</i> 
										</xsl:when>
									</xsl:choose>

								</xsl:when>

								<xsl:when test="../@sort_sub_call !='' and @sort!=''">
									<a>
										<xsl:attribute name="href">
											<xsl:text>javascript:document.getElementById('SORT_</xsl:text>
											<xsl:if test="@id[.!='']">
												<xsl:value-of select="@id"/>
											</xsl:if>
											<xsl:text>').value='</xsl:text>
											<xsl:value-of select="@sort"/>
											<xsl:if test="../@sort=@sort">
												<xsl:text> DESC</xsl:text>
											</xsl:if>
											<xsl:text>';</xsl:text>
											<xsl:call-template name="make_submit">
												<xsl:with-param name="id">
													<xsl:value-of select="../@sort_sub_call"/>
												</xsl:with-param>
											</xsl:call-template>
										</xsl:attribute>
										<xsl:value-of select="."/>
									</a>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="."/>
								</xsl:otherwise>
							</xsl:choose>								
						</th>
					</xsl:if>
				</xsl:for-each>
				<xsl:if test="item/controls/*">
					<xsl:for-each select="1 to ease:getMaxControls(.)">
						<th class="controls tableheader" nowrap="nowrap" />
					</xsl:for-each>
				</xsl:if>
			</tr>
		</thead>
	</xsl:template>

	<xsl:function name="ease:getMaxControls">
		<xsl:param name="attr" />
		<xsl:for-each select="$attr/item/controls/*[not(@lock) or @lock!='true']">
			<xsl:sort select="count(*)" order="descending"/>
			<xsl:if test="position() = 1">
				<xsl:value-of select="count(*)"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:function>

	<xsl:template name="td_table_sel">
		<td>
			<input type="radio"   >
				<xsl:choose>
					<xsl:when test="normalize-space(../content)=normalize-space(@value)">
						<xsl:attribute name="checked"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:if test="position()=1">
							<xsl:attribute name="checked"/>
						</xsl:if>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="../@id[.!='']">
					<xsl:attribute name="name">
						<xsl:value-of select="../@id"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="value">
					<xsl:value-of select="@value"/>
				</xsl:attribute>
				<xsl:if test="@onclick">
					<xsl:attribute name="onclick">
						<xsl:call-template name="make_link">
							<xsl:with-param name="link">
								<xsl:value-of select="@onclick" />
							</xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
					<xsl:attribute name="onmouseover">rollIn(this,'red')</xsl:attribute>
					<xsl:attribute name="onmouseout">rollOut(this)</xsl:attribute>					
				</xsl:if>															
				<xsl:if test="@on_click">
					<xsl:attribute name="onclick">javascript:<xsl:value-of select="@on_click" />
					</xsl:attribute>
					<xsl:attribute name="onmouseover">rollIn(this,'red')</xsl:attribute>
					<xsl:attribute name="onmouseout">rollOut(this)</xsl:attribute>					
				</xsl:if>															
			</input>
			<xsl:for-each select="img">									
				<xsl:if test="@src[.!='']">
					<img alt="Select" border="0">
						<xsl:attribute name="src">images/<xsl:value-of select="@src"/>
						</xsl:attribute>
						<xsl:attribute name="height">
							<xsl:value-of select="@height"/>
						</xsl:attribute>
					</img>
				</xsl:if>
			</xsl:for-each>
		</td>
	</xsl:template>

	<xsl:template name="td_table_graph_sel">
		<td	 valign="middle">
			<a>
				<xsl:attribute name="href">
					<xsl:text>javascript:document.getElementById('</xsl:text>
					<xsl:value-of select="../@id"/>
					<xsl:text>').value='</xsl:text>
					<xsl:value-of select="@value"/>
					<xsl:text>';</xsl:text>
					<xsl:call-template name="make_submit">
						<xsl:with-param name="id">
							<xsl:value-of select="../@id"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:attribute>
				<img alt="Select" border="0">
					<xsl:attribute name="src">images/<xsl:value-of select="../@graph"/>
					</xsl:attribute>
				</img>
			</a>
		</td>
	</xsl:template>

	<xsl:template name="td_table_multi_sel">
		<td>
			<input type="checkbox"   >									
				<xsl:if test="../content= @value">
					<xsl:attribute name="checked"/>
				</xsl:if>
				<xsl:if test="../@id[.!='']">
					<xsl:attribute name="name">
						<xsl:value-of select="../@id"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="value">
					<xsl:value-of select="@value"/>
				</xsl:attribute>
			</input>
		</td>
	</xsl:template>

	<xsl:template name="label_otherwise">
		<xsl:call-template name="add_label_otherwise_attributes"/>
		<xsl:choose>
			<xsl:when test="@detailscall !=''">	
				<xsl:call-template name="label_detailscall" />
			</xsl:when>
			<xsl:when test="@details_sub_call[.!='']">
				<xsl:call-template name="label_details_sub_call" />
			</xsl:when>
			<xsl:when test="@onclick and @target">
				<xsl:call-template name="label_onclick_and_target" />
			</xsl:when>
			<xsl:when test="@onclick">
				<xsl:call-template name="label_onclick" />
			</xsl:when>
			<xsl:when test="@jumpto">
				<xsl:call-template name="label_jumpto" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="label_otherwise_otherwise" />
			</xsl:otherwise>
		</xsl:choose>										
	</xsl:template>

	<xsl:template name="table_body">
		<tbody >
			<xsl:for-each select="item">						
				<xsl:if test="@value[.!='']">
					<tr>
						<xsl:call-template name="add_tr_attributes"/>
						<xsl:call-template name="add_table_sel"/>
						<xsl:for-each select="label">
							<xsl:call-template name="handle_label"/>
						</xsl:for-each>
						<xsl:if test="../item/controls/*">
							<xsl:call-template name="tr_controls">
								<xsl:with-param name="grandparent_of_controls" select=".." />
								<xsl:with-param name="controls" select="./controls" />
							</xsl:call-template>
							<!-- if any record has controls, add the extra td on each record -->
							<!--<xsl:for-each select="controls/*">
								<td class="controls">
									<xsl:call-template name="control_img" >
										<xsl:with-param name="link" select="." />
										<xsl:with-param name="class">table-control icon <xsl:value-of select="./@class"/>
										</xsl:with-param>
									</xsl:call-template>
								</td>
							</xsl:for-each>
							<xsl:for-each select="1 to xs:integer(ease:getMaxControls(..) - 2)">
								<td/>
							</xsl:for-each> -->
						</xsl:if>
						<xsl:for-each select="../subitem[ @value = current()/@value]/label">
							<xsl:if test="(not(contains(@lock,'true')) or not(@lock))">
								<td class="table_inner" nowrap="nowrap">
									<xsl:if test="@align">
										<xsl:attribute name="align">
											<xsl:value-of select="@align"/>
										</xsl:attribute>
									</xsl:if>
									<xsl:choose>
										<xsl:when test=".=''"/>
										<xsl:otherwise>
											<xsl:value-of select="."/>
										</xsl:otherwise>
									</xsl:choose>
								</td>
							</xsl:if>
						</xsl:for-each>
					</tr>
					<xsl:if test="../@fieldtype='table_list' and not(./label/@details_sub_call)">
						<input type="hidden"   >
							<xsl:if test="../@id[.!='']">
								<xsl:attribute name="name">
									<xsl:value-of select="../@id"/>
								</xsl:attribute>
							</xsl:if>
							<xsl:attribute name="value">
								<xsl:value-of select="@value"/>
							</xsl:attribute>
						</input>
					</xsl:if>
				</xsl:if>
			</xsl:for-each>
		</tbody>
	</xsl:template>

	<xsl:template name="hidden_id_name_with_id_id">
		<input type="hidden" >									
			<xsl:if test="@id[.!='']">
				<xsl:attribute name="id">
					<xsl:value-of select="@id"/>
				</xsl:attribute>
				<xsl:attribute name="name">
					<xsl:value-of select="@id"/>
				</xsl:attribute>
			</xsl:if>
		</input>
	</xsl:template>

	<xsl:template name="hidden_id_name_with_SORT_id_sortparam">
		<input type="hidden"   >
			<xsl:attribute name="id">
						SORT_<xsl:if test="@id[.!='']">
					<xsl:value-of select="@id"/>
				</xsl:if>
			</xsl:attribute>
			<xsl:attribute name="name">
				<xsl:choose>
					<xsl:when test="@sortparam[.!='']">
						<xsl:value-of select="@sortparam" />
					</xsl:when>
					<xsl:otherwise>SORT</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</input>
	</xsl:template>



	<xsl:template name="add_table_sel">
		<xsl:choose>
			<xsl:when test="../@fieldtype='table_sel'">
				<xsl:call-template name="td_table_sel"/>
			</xsl:when>
			<xsl:when test="../@fieldtype='table_graph_sel'">
				<xsl:call-template name="td_table_graph_sel"/>
			</xsl:when>
			<xsl:when test="../@fieldtype='table_multi_sel'">
				<xsl:call-template name="td_table_multi_sel"/>
			</xsl:when>
			<xsl:when test="../@fieldtype='table_list' and not(./label/@details_sub_call)">
				<!-- do nothing -->
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="handle_label">
		<xsl:if test="(not(contains(@lock,'true')) or not(@lock))">
			<td>
				<xsl:choose>
					<xsl:when test="contains(@attrset,'true')">
						<xsl:call-template name="label_attrset" /> 
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="label_otherwise"/>
					</xsl:otherwise>
				</xsl:choose>
			</td>
		</xsl:if>
	</xsl:template>

	<xsl:template name="add_tr_attributes">
		<xsl:if test="@id">
			<xsl:attribute name="id">
				<xsl:value-of select="@id"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="@valign">
			<xsl:attribute name="valign">
				<xsl:value-of select="@valign"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="@height">
			<xsl:attribute name="height">
				<xsl:value-of select="@height"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:attribute name="class">
			<xsl:choose>
				<xsl:when test="@class != ''">
					<xsl:value-of select="@class" />
				</xsl:when>
				<xsl:when test="position() mod 2 = 0 and position() != 0">table_colrow</xsl:when>
				<xsl:otherwise>table_nocolrow</xsl:otherwise>
			</xsl:choose>
		</xsl:attribute>
	</xsl:template>

	<xsl:template name="add_label_otherwise_attributes">
		<xsl:choose>
			<xsl:when test="@class !=''">
				<xsl:attribute name="class">table_inner <xsl:value-of select="@class" />
				</xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="class">table_inner</xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="@align">
			<xsl:attribute name="align">
				<xsl:value-of select="@align"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="@width">
			<xsl:attribute name="width">
				<xsl:value-of select="@width"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="@nowrap">
			<xsl:attribute name="nowrap">
				<xsl:value-of select="@nowrap"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="@colspan">
			<xsl:attribute name="colspan">
				<xsl:value-of select="@colspan"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="@rowspan">
			<xsl:attribute name="rowspan">
				<xsl:value-of select="@rowspan"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="@title[.!='']">
			<xsl:attribute name="title">
				<xsl:value-of select="@title" />
			</xsl:attribute>
		</xsl:if>
	</xsl:template>

	<xsl:template name="label_details_sub_call">
		<xsl:choose>
			<xsl:when test="@image !=''">
				<img border="0" >
					<xsl:attribute name="src">
						<xsl:value-of select="@image"/>
					</xsl:attribute>
					<xsl:attribute name="onclick">
						<xsl:text>javascript:document.getElementById('</xsl:text>
						<xsl:value-of select="../../@id"/>
						<xsl:text>').value='</xsl:text>
						<xsl:value-of select="../@value"/>
						<xsl:text>';</xsl:text>
						<xsl:call-template name="make_submit">
							<xsl:with-param name="id">
								<xsl:value-of select="@details_sub_call"/>
							</xsl:with-param>
							<xsl:with-param name="target">
								<xsl:value-of select="@target"/>
							</xsl:with-param>
							<xsl:with-param name="expire">
								<xsl:value-of select="@expire"/>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</img>
			</xsl:when>
			<xsl:otherwise>
				<a>
					<xsl:attribute name="id">
						<xsl:value-of select="generate-id()" />
					</xsl:attribute>
					<xsl:attribute name="class">
						<xsl:text>table_inner </xsl:text>
						<xsl:if test="@linkclass">
							<xsl:value-of select="@linkclass"/>
						</xsl:if>
					</xsl:attribute>
					<xsl:attribute name="onclick">
						<xsl:text>javascript:document.getElementById('</xsl:text>
						<xsl:value-of select="../../@id"/>
						<xsl:text>').value='</xsl:text>
						<xsl:value-of select="../@value"/>
						<xsl:text>';</xsl:text>
						<xsl:call-template name="make_submit">
							<xsl:with-param name="id">
								<xsl:value-of select="@details_sub_call"/>
							</xsl:with-param>
							<xsl:with-param name="target">
								<xsl:value-of select="@target"/>
							</xsl:with-param>
							<xsl:with-param name="expire">
								<xsl:value-of select="@expire"/>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
					<xsl:if test="@tooltip[.!='']">
						<xsl:attribute name="onmouseover">displayTooltipContent('<xsl:value-of select="generate-id(.)" />', '<xsl:value-of select="@tooltip"/>');</xsl:attribute>
					</xsl:if>
					<xsl:copy-of select="./text()"/>
				</a>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="label_onclick_and_target">
		<a>
			<xsl:attribute name="id">
				<xsl:value-of select="generate-id()" />
			</xsl:attribute>
			<xsl:attribute name="class">
				<xsl:text>table_inner </xsl:text>
				<xsl:if test="@linkclass">
					<xsl:value-of select="@linkclass"/>
				</xsl:if>
			</xsl:attribute>
			<xsl:attribute name="href">
				<xsl:value-of select="@target" />
			</xsl:attribute>
			<xsl:if test="@tooltip[.!='']">
				<xsl:attribute name="onmouseover">displayTooltipContent('<xsl:value-of select="generate-id(.)" />', '<xsl:value-of select="@tooltip"/>');</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="onclick">
				<xsl:value-of select="@onclick" />
			</xsl:attribute>
			<xsl:value-of select="."/>
		</a>
	</xsl:template>

	<xsl:template name="label_onclick">
		<a class="tableitem">
			<xsl:attribute name="id">
				<xsl:value-of select="generate-id()" />
			</xsl:attribute>
			<xsl:attribute name="class">
				<xsl:text>table_inner </xsl:text>
				<xsl:if test="@linkclass">
					<xsl:value-of select="@linkclass"/>
				</xsl:if>
			</xsl:attribute>
			<xsl:if test="@tooltip[.!='']">
				<xsl:attribute name="onmouseover">displayTooltipContent('<xsl:value-of select="generate-id(.)" />', '<xsl:value-of select="@tooltip"/>');</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="onclick">
				<xsl:value-of select="@onclick" />
			</xsl:attribute>
			<xsl:value-of select="."/>
		</a>
	</xsl:template>

	<xsl:template name="label_jumpto">
		<a class="table_item">
			<xsl:attribute name="onclick">
				<xsl:call-template name="make_link">
					<xsl:with-param name="link">
						<xsl:value-of select="@jumpto" />
					</xsl:with-param>
				</xsl:call-template>
			</xsl:attribute>						
			<xsl:value-of select="."/>
		</a>
	</xsl:template>

	<xsl:template name="label_otherwise_otherwise">
		<xsl:if test="@image[.!='']">
			<xsl:choose>
				<xsl:when test="@tooltip!=''">
					<div class="info">
						<div class="icon">
							<xsl:attribute name="onmouseover">
								showInfo(event,'<xsl:value-of select="generate-id()"/>','<xsl:value-of select="@tooltip" />');
							</xsl:attribute>
							<a >
								<img border="0">
									<xsl:attribute name="src">
										<xsl:value-of select="@image"/>
									</xsl:attribute>
									<xsl:attribute name="alt">
										<xsl:value-of select="@alt"/>
									</xsl:attribute>
								</img>
							</a>

							<div class="tooltip">
								<p id="{generate-id()}">...</p>
							</div>
						</div>
					</div>
				</xsl:when>
				<xsl:otherwise>
					<img border="0">
						<xsl:attribute name="src">
							<xsl:value-of select="@image"/>
						</xsl:attribute>
						<xsl:attribute name="alt">
							<xsl:value-of select="@alt"/>
						</xsl:attribute>
						<xsl:if test="@tooltip!=''">
							<xsl:attribute name="onclick">hideTooltip();</xsl:attribute>
							<xsl:attribute name="onmouseout">hideTooltip();</xsl:attribute>
							<xsl:attribute name="onmouseover">
								<xsl:text>showTooltip(event,'</xsl:text>
								<xsl:value-of select="@tooltip" />
								<xsl:text>');</xsl:text>
							</xsl:attribute>
						</xsl:if>
					</img>

				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		<xsl:choose>
			<xsl:when test=".='' and not(@tooltip) and not(@linkclass)"/>
			<xsl:when test="@chopSize[.!=''] and string-length(.) &gt; @chopSize">
				<xsl:variable name="tooltip_content">
					<xsl:value-of select="replace(replace(.,'&#xA;','&lt;br /&gt;'),'''','\\''')"/>
				</xsl:variable>
				<a class="chopped">
					<xsl:attribute name="id">
						<xsl:value-of select="generate-id()" />
					</xsl:attribute>
					<xsl:attribute name="onmouseover">displayTooltipContent('<xsl:value-of select="generate-id(.)" />', '<xsl:value-of select="@tooltip_content"/>');</xsl:attribute>
					<xsl:value-of select="substring(.,1,@chopSize)" />
					<xsl:text>...</xsl:text>
				</a>
			</xsl:when>
			<xsl:when test="@tooltip[.!='']">
				<a>
					<xsl:attribute name="class">
						<xsl:choose>
							<xsl:when test="@linkclass[.!='']">
								<xsl:value-of select="@linkclass" />
							</xsl:when>
							<xsl:otherwise>chopped</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="id">
						<xsl:value-of select="generate-id()" />
					</xsl:attribute>
					<xsl:attribute name="onmouseover">displayTooltipContent('<xsl:value-of select="generate-id(.)" />', '<xsl:value-of select="@tooltip"/>');</xsl:attribute>
					<xsl:copy-of select="./text() | ./*"/>
				</a>
			</xsl:when>
			<xsl:when test="item">
				<xsl:call-template name="handle_item"/>
			</xsl:when>
			<xsl:when test="@noescape[.='true']">
				<xsl:value-of select="." disable-output-escaping="yes" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="./text() | ./*"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>