<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: 

Description:

-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">


<!-- STPL een fatsoenlijke tree -->
	<xsl:template name="treeinput">
		<xsl:comment>treeinput template</xsl:comment>
		<input type="hidden" name="component_js_include" value="script/dtree.js"  />
	
		<xsl:variable name="targetID">ft_<xsl:value-of select="@id"/></xsl:variable>
		
		<div>
			<xsl:attribute name="id">ft_<xsl:value-of select="@id"/></xsl:attribute>
		</div>
		<input type="hidden" name="component_onload" >
			<xsl:attribute name="value">
		d = new dTree('d');
		<xsl:for-each select="item">
			d.add(
				<xsl:value-of select="@id"/>,
				<xsl:value-of select="@parent_id"/>,
				"<xsl:value-of select="@label"/>",
				<xsl:choose>
					<xsl:when test="@url[.!='']">
						"javascript:KPWindowLoad('<xsl:value-of select="@url"/>', '<xsl:value-of select="@target" />' )",
					</xsl:when>
					<xsl:otherwise>"",</xsl:otherwise>
				</xsl:choose>
				"<xsl:value-of select="@label"/>"
				);
			</xsl:for-each>
			document.getElementById('<xsl:value-of select="$targetID"/>').innerHTML=d;
			</xsl:attribute>
		</input>
	</xsl:template>		

	<xsl:template match="attr[@fieldtype='treeinput']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock)) and @root_id!='' and ./item">
			<xsl:call-template name="disp_label"/>
				<xsl:if test="@fspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="@fspan"/></xsl:attribute></xsl:if>
				<xsl:if test="@align[.!='']"><xsl:attribute name="align"><xsl:value-of select="@align"/></xsl:attribute></xsl:if>					
				<xsl:if test="@class[.!='']"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
				<table cellspacing="0" cellpadding="0" border="0" width="100%" class="Foldertree" >
					<tr><td>
						<xsl:comment>tree input call</xsl:comment>
						<xsl:call-template name="treeinput"/>
					</td></tr>
				</table>
		</xsl:if>	
	</xsl:template>
	
</xsl:stylesheet>
