<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:template name="disp_label">
		<xsl:if test="@label and @fieldtype!='label'">
			<label>
				<xsl:if test="@id[.!=''] or @validate[.!=''] or @fieldtype[.='date_picker']">
					<xsl:attribute name="for"><xsl:value-of select="@id"/></xsl:attribute>
				</xsl:if>
				<xsl:if test="@class[.!='']">
					<xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute>
				</xsl:if>
				<xsl:value-of select="@label" />
				<xsl:text> </xsl:text>
			</label>
		</xsl:if>
		
	</xsl:template>
	
	<xsl:template name="make_link">
		<xsl:param name="link" />
		<xsl:param name="target" />
		<xsl:choose>
			<xsl:when test="@target[.='_blank' or .='_new' or .='popup']">
				<xsl:text>prosUrlPopup('</xsl:text><xsl:value-of select="$link" /><xsl:text>');</xsl:text>				
			</xsl:when>
			<xsl:when test="$target='_blank' or $target='_new' or $target='popup'">
				<xsl:text>prosUrlPopup('</xsl:text><xsl:value-of select="$link" /><xsl:text>');</xsl:text>				
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>prosUrl('</xsl:text><xsl:value-of select="$link" /><xsl:text>');</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="make_submit">
		<xsl:param name="id" />
		<xsl:param name="target" />
		<xsl:param name="expire" />
		
		<xsl:text>clntSub( '</xsl:text><xsl:value-of select="$id"/><xsl:text>','</xsl:text>
			<xsl:value-of select="$target"/><xsl:text>','</xsl:text><xsl:value-of select="$expire"/>
		<xsl:text>');</xsl:text>
	</xsl:template>
	
	
	<xsl:template match="attr[@fieldtype='hidden']">
		<!-- do noting, handle somewhere else -->
	</xsl:template>

	<xsl:template name="hidden">
		<!-- handy to pass values -->
		<input type="hidden"  >
			<xsl:if test="@id[.!='']">
				<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
				<xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute>
			</xsl:if>
			<xsl:choose>
				<xsl:when test="normalize-space(content)!=''"><xsl:attribute name="value"><xsl:value-of select="content"/></xsl:attribute></xsl:when>
				<xsl:otherwise><xsl:attribute name="value"><xsl:value-of select="@default"/></xsl:attribute></xsl:otherwise>
			</xsl:choose>
		</input>
	</xsl:template>

	<xsl:template match="attr[@fieldtype='hidden2']">
		<xsl:call-template name="hidden" />
	</xsl:template>
</xsl:stylesheet>