<?xml version="1.0"?>
<!--
#
# System:	DD main head style sheet
#
# File:			dd_head.xsl
#
# Title:		Header Style sheet
#
# Description:  
# 		Specification of everything we want in the HTML Head
#
# History:
# 26-03-2001		RIKU	Creator
# 20-03-2008		HAHO	Added KPWindow and Sarissa 
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:import href="custom_head.xsl"/>
<xsl:template name="head">
<head>
	<base>
		<xsl:attribute name="href"><xsl:value-of select="diag/@base"/></xsl:attribute>
	</base>
	<link rel="stylesheet" type="text/css" >
		<xsl:attribute name="href"><xsl:value-of select="diag/@base"/><xsl:text>css/grid.css</xsl:text></xsl:attribute>
	</link>
	<link rel="stylesheet" type="text/css" >
		<xsl:attribute name="href"><xsl:value-of select="diag/@css"/></xsl:attribute>
	</link>
	
	<link rel="stylesheet" type="text/css" media="print">
		<xsl:attribute name="href"><xsl:value-of select="diag/@base"/><xsl:text>css/print.css</xsl:text></xsl:attribute>
	</link>
	<link rel="shortcut icon" href="favicon.ico" />
	<meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
	<meta http-equiv="Content-Script-Type" content="text/javascript"/>
	<meta http-equiv="Pragma" content="no-cache"/>	
	<meta name="viewport" content="width=1000" />
    <meta name="robots" content="noindex, nofollow" /><!-- change into index, follow -->
	
	<script type="text/javascript">
		var dojoConfig = {
			async: true,
			cacheBust: 0,
			parseOnLoad: true,
			locale: '<xsl:choose>
				<xsl:when test="//diag/@lang='nl'">nl-nl</xsl:when>
				<xsl:when test="//diag/@lang='en'">en-gb</xsl:when>
				<xsl:otherwise>nl-nl</xsl:otherwise>
			</xsl:choose>',
			isDebug: false,
			debugAtAllCosts: false,
			has: {
				"dojo-firebug": false,
				"dojo-debug-messages": false
			},
			packages: [
				{ name: "chy", location: "../../../script/chy/" },
				{ name : "gantt", location : "../../../script/dhtmlxgantt/"	},
				{ name : "scheduler", location : "../../../script/dhtmlxscheduler/"	},
				{ name : "hc", location : "../../../highcharts/"	}
			]
		};	
	</script>
	<script src="dojo/dojo-release-1.10.4/dojo/dojo.js" type="text/javascript"></script>
    <script type="text/javascript" src="script/sarissa.js">//</script>
    <script type="text/javascript" src="script/kpwindow.js">//</script>
    <script type="text/javascript" src="script/DyCo.js">//</script>
    <script type="text/javascript" src="script/kpwindows_location_mapping.js">//</script>
    <xsl:if test="diag/@cmodeprefix[.!='']">
	    <script type="text/javascript">
	    	<xsl:attribute name="src">
	    		<xsl:text>script/</xsl:text><xsl:value-of select="diag/@cmodeprefix"/><xsl:text>.js</xsl:text>
	    	</xsl:attribute>
	    	<xsl:text>//</xsl:text>
	    </script>
	</xsl:if>
    <xsl:call-template name="inclhead"/>
 	<title>
  		<xsl:value-of select="diag/@name"/>
  	</title>
</head>
</xsl:template>
</xsl:stylesheet>
