<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<!-- The dd items -->
	<xsl:import href="../chy/components.xsl"/>
	<xsl:import href="../kpwindow_components.xsl"/>
	<xsl:import href="../project_components.xsl"/>
	<xsl:import href="../custom.xsl"/>
	<xsl:param name="cntxt"/> 
	<xsl:param name="DD_CONFIG_FILE"/>
	<!--  Required to pass the context to the sylesheet from dd -->
	<xsl:param name="DD_DIAG_MODE"/>
	<xsl:variable name="settings" select="document($DD_CONFIG_FILE)/dd_config"/>

	<xsl:variable name="formid">
		<xsl:value-of select="uuid:randomUUID()" xmlns:uuid="java:java.util.UUID" />
	</xsl:variable>
	
	<!--<xsl:output method="html" version="1.0" encoding="ISO-8859-1" indent="no" omit-xml-declaration="no" media-type="text/xml"></xsl:output>-->
	<xsl:output method="xhtml" version="1.0" encoding="UTF-8" indent="no" omit-xml-declaration="no" media-type="text/xml"/>
	
	<!-- The main template -->
	<xsl:template match="/">
		<div class="dialogborder outer dialogborder_plain">
			<div class="dialogborder inner dialogborder_plain">
				<form method="post" onsubmit="return ( KPWindowDoPost(KPWindowFindParent(this).id, 'Submit'))" data-dojo-type="chy/form/FormManager">
					<xsl:attribute name="data-dojo-props">
						events: [
							<xsl:for-each select="//events/event">
								{
									<xsl:for-each select="./@*">
										<xsl:value-of select="name()"/>: '<xsl:value-of select="."/>'<xsl:if test="position() != last()">, </xsl:if>
									</xsl:for-each>
								}<xsl:if test="position() != last()">, </xsl:if>
							</xsl:for-each>]
					</xsl:attribute>
					<xsl:attribute name="id">
						<xsl:value-of select="$formid"/>
					</xsl:attribute>
					<xsl:attribute name="name">
						<xsl:value-of select="$formid"/>
					</xsl:attribute>
					<xsl:attribute name="action">
						<xsl:choose>	
							<xsl:when test="//diag/@action[.!='']">
								<xsl:value-of select="//diag/@action"/>
							</xsl:when>
							<xsl:when test="//diag/@sub_base[.!='']">
								<xsl:value-of select="//diag/@sub_base"/>
								<xsl:text>cheyenne</xsl:text>
							</xsl:when>
							<xsl:otherwise>cheyenne</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>	
					<xsl:variable name="enctype">
						<xsl:choose>
							<xsl:when test="//diag/@enctype[.!='']">
								<xsl:value-of select="//diag/@enctype"/>
							</xsl:when>
							<xsl:otherwise>multipart/form-data;charset=UTF-8</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>			
					<xsl:attribute name="enctype">
						<xsl:value-of select="$enctype" />
					</xsl:attribute>
					<input type="hidden" name ="cntxt"  >
						<xsl:attribute name="value">
							<xsl:value-of select="$cntxt"/>
						</xsl:attribute>
					</input>
					<input type="hidden" name ="target"  />
					<input type="hidden" name ="obligate"  >
						<xsl:attribute name="value">
							<xsl:for-each select="//attrset[not(@diag_mode) or (contains(@diag_mode,$DD_DIAG_MODE) and $DD_DIAG_MODE!='')]/attr[@obligate='true' and not(@mode) and (not(@diag_mode) or (contains(@diag_mode,$DD_DIAG_MODE) and $DD_DIAG_MODE!=''))]">
								<xsl:if test="position()&gt;1">,</xsl:if>
								<xsl:value-of select="@id"/>
							</xsl:for-each>
						</xsl:attribute>
					</input>
					<input type="hidden" name="cmode" value="kpwindow_dialogborder_plain"  />
					<input type="hidden" name="contenttype" value="text/xml"  />
					<script type="dojo/method" data-dojo-event="onSubmit">
						console.log("event",this);
						return KPWindowDoPost(KPWindowFindParent(this.domNode).id, 'Submit');
					</script>
					<xsl:for-each select="//attr[@fieldtype='hidden']">
						<xsl:call-template name="hidden"/> 
					</xsl:for-each>	

					<div class="dialogcontent">
						<div class="dialogheader">
							<xsl:if test="diag/@name != ''">
								<div class="dialogtitle">
									<xsl:value-of select="diag/@name" />
									<xsl:if test="diag/@sub_name != ''">
										<span class="dialogsubtitle">
											<xsl:value-of select="diag/@sub_name" />
										</span>
									</xsl:if>
								</div>
							</xsl:if>
							<xsl:if test="//diag/controls/*">
								<div class="controls dialogcontrols">
									<div class="icons">
										<xsl:call-template name="controls" >
											<xsl:with-param name="controls" select="//diag/controls"/>
										</xsl:call-template>
									</div>
								</div>
							</xsl:if>
							<xsl:if test="diag/*/attr[@mode='top' or @mode='tab']">
								<div class="tabmenu">
									<xsl:for-each select="diag/*/attr[@mode='top' or @mode='tab']">
										<xsl:call-template name="button"/>
									</xsl:for-each>
								</div>
							</xsl:if>
						</div>
						<xsl:call-template name="dialogHeader">
							<xsl:with-param name="formid">
								<xsl:value-of select="$formid"/>
							</xsl:with-param>
						</xsl:call-template>
						
						<div class="dialogbody">
							<xsl:apply-templates />
						</div>						
					</div>
					<xsl:if test="diag/*/attr[@mode='bottom' or @mode='tab']">
						<div class="bottommenu" valign="top">
							<xsl:for-each select="diag/*/attr[@mode='bottom' or @mode='tab']">
								<xsl:call-template name="button"/>
							</xsl:for-each>
						</div>
					</xsl:if>
				</form>
			</div>
		</div>
	</xsl:template>
</xsl:stylesheet>