<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<!-- The dd items -->
	<xsl:import href="../chy/components.xsl"/>

	<xsl:import href="../kpwindow_components.xsl"/>

	<xsl:param name="cntxt"/> 
	<xsl:param name="DD_CONFIG_FILE"/>
	<!--  Required to pass the context to the sylesheet from dd -->
	<xsl:param name="DD_DIAG_MODE"/>
	<xsl:variable name="settings" select="document($DD_CONFIG_FILE)/dd_config"/>

	<xsl:variable name="formid">
		<xsl:value-of select="uuid:randomUUID()" xmlns:uuid="java:java.util.UUID" />
	</xsl:variable>
	
	<!--<xsl:output method="html" version="1.0" encoding="ISO-8859-1" indent="no" omit-xml-declaration="no" media-type="text/xml"></xsl:output>-->
	<xsl:output method="xhtml" version="1.0" encoding="UTF-8" indent="no" omit-xml-declaration="no" media-type="text/xml"/>

	<!-- The main template -->
	<xsl:template match="/">
		<div>
			<input type="hidden" value="initMenuBox()" name="component_onload"/>
			<div class="logo">
				<div class="center">
					<a href="#">
						<img alt="" src="images/logo.png" />
					</a>

					<div class="userinfo_and_actions">
						<div class="userinfo">
							<span class="icon user"/>
							<span class="pretext">
								<xsl:value-of select="//data/pretext" />
							</span>
							<span class="userName">
								<xsl:value-of select="//data/userName" />
							</span>
							<span class="rolename">
								<xsl:value-of select="//data/rolename" />
							</span>
						</div>
						<div class="userinfo_actions">
							<xsl:for-each select="//menuset/attr">
								<xsl:call-template name="button"/>
							</xsl:for-each>
						</div>
					</div>
				</div>
			</div>
			<!--			<div class="bordertopback">
				<a class="logo">
					<xsl:comment>spacer</xsl:comment>
				</a>
				<div class="bordertop">
					<span class="buttons">
						<div id="usermenu" class="">
							<div>
								<xsl:attribute name="onclick">
									<xsl:text>if(this.parentNode.className == 'open') { this.parentNode.className = ''; } else { this.parentNode.className = 'open'; }</xsl:text>
								</xsl:attribute>
								<i class="icon-user">
									<xsl:comment>spacer</xsl:comment>
								</i>&#160;<xsl:value-of select="//data/loggedIn"/>&#160;<b class="caret">
									<xsl:comment>spacer</xsl:comment>
								</b>
							</div>
							<xsl:if test="//data/rolename[.!='']">
								<div>
									<xsl:value-of select="//data/rolename" />
								</div>
							</xsl:if>

							<div id="usermenuinner" class="dropdown-menu">
								<xsl:for-each select="//menuset/attr">
									<div>
										<xsl:call-template name="button"/>
										<xsl:if test="@info">
											<input type="hidden" name="component_onload">
												<xsl:attribute name="value">
													displayTooltipContent('<xsl:value-of select="generate-id(.)" />', '<xsl:value-of select="@info"/>');
												</xsl:attribute>
											</input>
										</xsl:if>
									</div>
								</xsl:for-each>
							</div>
						</div>
					</span>
				</div>
			</div>	-->
			<nav class="menuBox">
				<div class="center">
					<ul>
						<xsl:choose>
							<xsl:when test="count(//attr[@mode='top']) &gt; 5">
								<xsl:for-each select="//attr[@mode='top'][position() &lt; 5]">
									<xsl:call-template name="li_menutop"/>
								</xsl:for-each>
								<li class="more">
									<a href="javascript:void(0);">Meer<span id="menumore">
											<xsl:comment>spacer</xsl:comment>
										</span>&#160;<b class="caret">
											<xsl:comment>spacer</xsl:comment>
										</b>
									</a>
									<ul>
										<xsl:for-each select="//attr[@mode='top'][position() &gt; 4]">
											<xsl:call-template name="li_menutop_more"/>
										</xsl:for-each>
									</ul>
								</li>
							</xsl:when>
							<xsl:otherwise>
								<xsl:for-each select="//attr[@mode='top']">
									<xsl:call-template name="li_menutop"/>
								</xsl:for-each>
							</xsl:otherwise>
						</xsl:choose>
					</ul>
					<xsl:if test="//data/search[@show = 'true']">
						<form class="search" action="#">
							<xsl:attribute name="id">
								<xsl:value-of select="generate-id(.)"/>
							</xsl:attribute>
							<xsl:attribute name="name">
								<xsl:value-of select="generate-id(.)"/>
							</xsl:attribute>
							<xsl:attribute name="onsubmit">return false;</xsl:attribute>
							<fieldset class="search">
								<input type="text" id="topSearch" name="topSearch" class="field" data-dojo-type="chy/form/SearchComboBox">
									<xsl:attribute name="data-dojo-props">
										dataUrl:'<xsl:value-of select="//data/search/@url" />',
										searchUrl: 'cheyenne?cddid=<xsl:value-of select="//data/search/@resultdialog"/>&amp;P_SEARCH=',
										formId:'<xsl:value-of select="generate-id(.)"/>'
									</xsl:attribute>
									<xsl:attribute name="placeholder">
										<xsl:choose>
											<xsl:when test="//diag/@lang='nl'">Zoeken...</xsl:when>
											<xsl:when test="//diag/@lang='en'">Search...</xsl:when>
											<xsl:otherwise>Zoeken...</xsl:otherwise>
										</xsl:choose>
									</xsl:attribute>
								</input>
								<img src="images/search.png" style="float: right;" />
							</fieldset>

							<input type="hidden" name ="cntxt">
								<xsl:attribute name="value">
									<xsl:value-of select="$cntxt"/>
								</xsl:attribute>
							</input>
							<input type="hidden" name ="target" />
							<input type="hidden" name ="obligate">
								<xsl:attribute name="value">
									<xsl:for-each select="//attrset[not(@diag_mode) or (contains(@diag_mode,$DD_DIAG_MODE) and $DD_DIAG_MODE!='')]/attr[@obligate='true' and not(@mode) and (not(@diag_mode) or (contains(@diag_mode,$DD_DIAG_MODE) and $DD_DIAG_MODE!=''))]">
										<xsl:if test="position()&gt;1">,</xsl:if>
										<xsl:value-of select="@id"/>
									</xsl:for-each>
								</xsl:attribute>
							</input>
							<input type="hidden" name="cmode" value="kpwindow_dialogborder_plain" />
							<input type="hidden" name="contenttype" value="text/xml" />
						</form>
					</xsl:if>
				</div>

				<xsl:for-each select="diag/*/attr[@fieldtype='hidden']">
					<xsl:call-template name="hidden"/> 
				</xsl:for-each>	
				<xsl:apply-templates select="diag/*/attr[@fieldtype='kpwindows']" />
			</nav>
		</div>
	</xsl:template>

	<!-- overwrite getKpwindowlayout -->
	<xsl:template name="getKpwindowlayout">
		<xsl:param name="kpwindowlayout" />
		<xsl:choose>
			<xsl:when test="$kpwindowlayout!=''">
				<xsl:value-of select="$kpwindowlayout"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="li_menutop">
		<li>
			<xsl:if test="position()=1">
				<xsl:attribute name="class">active</xsl:attribute>
			</xsl:if>
			<xsl:if test="@id">
				<xsl:attribute name="id">
					<xsl:value-of select="@id"/>
				</xsl:attribute>
			</xsl:if>
			<a href="javascript:void(0);">
				<xsl:attribute name="onclick">
										menuBoxClick(this);
					<xsl:for-each select="content[.!='']">
						<xsl:call-template name="make_link">
							<xsl:with-param name="link">
								<xsl:value-of select="." />
							</xsl:with-param>
							<xsl:with-param name="target">
								<xsl:value-of select="@target"/>
							</xsl:with-param>
							<!--<xsl:with-param name="kpwindowlayout">./css/kpwindow/kpwindow.css</xsl:with-param>-->
						</xsl:call-template>
					</xsl:for-each>
					<xsl:if test="@onclick[.!='']">
						<xsl:value-of select="@onclick" />
					</xsl:if>
				</xsl:attribute>

				<span>
					<xsl:choose>
						<xsl:when test="@button_label[.!='']">
							<xsl:value-of select="@button_label"/>
						</xsl:when>
						<xsl:when test="@label[.!='']">
							<xsl:value-of select="@label"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="@id"/>
						</xsl:otherwise>
					</xsl:choose>

				</span>
			</a>
		</li>
	</xsl:template>

	<xsl:template name="li_menutop_more">
		<li sub="true">
			<xsl:if test="@id">
				<xsl:attribute name="id">
					<xsl:value-of select="@id"/>
				</xsl:attribute>
			</xsl:if>
			<a href="javascript:void(0);">
				<xsl:attribute name="onclick">
					<xsl:if test="content/@target[.!='_self' and .!='_blank' and .!='_new']">menuBoxClick(this);</xsl:if>
					<xsl:for-each select="content[.!='']">
						<xsl:call-template name="make_link">
							<xsl:with-param name="link">
								<xsl:value-of select="." />
							</xsl:with-param>
							<xsl:with-param name="target">
								<xsl:value-of select="@target"/>
							</xsl:with-param>
							<!--<xsl:with-param name="kpwindowlayout">./css/kpwindow/kpwindow.css</xsl:with-param>-->
						</xsl:call-template>
					</xsl:for-each>
					<xsl:if test="@onclick[.!='']">
						<xsl:value-of select="@onclick" />
					</xsl:if>
				</xsl:attribute>
				<span>
					<xsl:choose>
						<xsl:when test="@button_label[.!='']">
							<xsl:value-of select="@button_label"/>
						</xsl:when>
						<xsl:when test="@label[.!='']">
							<xsl:value-of select="@label"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="@id"/>
						</xsl:otherwise>
					</xsl:choose>
				</span>
			</a>
		</li>
	</xsl:template>

</xsl:stylesheet>
