<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="attr[@fieldtype='combobox']">
		<xsl:variable name="formid" select="$formid" />
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<select data-dojo-type="chy/form/ComboBox">   				
   				<xsl:if test="@id[.!='']"><xsl:attribute name="id"><xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/></xsl:attribute></xsl:if>
				<xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute>
				<xsl:if test="@readonly[.='true'] or ../@readonly[.='true']"><xsl:attribute name="readonly">true</xsl:attribute></xsl:if>
				<xsl:if test="@required[.='true']"><xsl:attribute name="required"><xsl:value-of select="@required"/></xsl:attribute></xsl:if>
				<!--<xsl:attribute name="data-dojo-props">
					f_id: '<xsl:value-of select="@id" />', 
					dataUrl: '<xsl:value-of select="@url" />',
					required: <xsl:value-of select="$v_req" />,
					hasDownArrow: <xsl:value-of select="$v_hidearrow"/>,
					value: '<xsl:value-of select="content" />',
					val: '<xsl:value-of select="content" />',
					searchAttr: "name",
			        queryExpr: "${0}",
					queryExpr:"*\${0}*",
					autoComplete: false,
					placeHolder: '<xsl:value-of select="@placeholder" />',
					formId: '<xsl:value-of select="$formid"/>',
					chyValidateStr: '<xsl:value-of select="@validate"/>'
				</xsl:attribute>-->
				<xsl:attribute name="data-dojo-props">
					dataUrl:'<xsl:value-of select="data_url" />',
					formId:'<xsl:value-of select="$formid"/>',
					val:'<xsl:value-of select="content" />',
					chyValidateStr: '<xsl:value-of select="@validate"/>',
					placeHolder: '<xsl:value-of select="@placeholder" />',
					searchAttr: "name",
					queryExpr:"*\${0}*"
				</xsl:attribute>
				
				<xsl:if test="@onchange">
					<xsl:attribute name="class">active</xsl:attribute>
					<xsl:attribute name="onchange">
						<xsl:call-template name="make_link">
							<xsl:with-param name="link"><xsl:value-of select="@onchange" /></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="@onchange_submit">
					<xsl:attribute name="class">select_active</xsl:attribute>
					<xsl:attribute name="onchange">
						<xsl:call-template name="make_submit">
							<xsl:with-param name="id"><xsl:value-of select="@onchange_submit"/></xsl:with-param>
							<xsl:with-param name="target"><xsl:value-of select="@target"/></xsl:with-param>
							<xsl:with-param name="expire"></xsl:with-param>
						</xsl:call-template>
					</xsl:attribute>	
				</xsl:if>
    			
				<!-- Content -->
				<xsl:for-each select="item">
					<option>
						<xsl:if test="../@default=@value and string-length(../content) = 0"><xsl:attribute name="selected"></xsl:attribute></xsl:if>
						<xsl:if test="normalize-space(../content)=normalize-space(@value)"><xsl:attribute name="selected"></xsl:attribute></xsl:if>
						<xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
						<xsl:choose>
							<xsl:when test="@label[.!='']"><xsl:value-of select="@label"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="@value"/></xsl:otherwise>
						</xsl:choose>
					</option>
				</xsl:for-each>
			</select>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
