﻿<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: 

Description:

-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="attr[@fieldtype='editor']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<textarea class="textarea_item">
   				<xsl:if test="@id[.!='']">
   					<xsl:attribute name="id"><xsl:value-of select="@id"/><xsl:value-of select="generate-id()" /></xsl:attribute>
   					<xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute>
   				</xsl:if>
   				
       			<!-- Formatting -->
       			<xsl:if test="@cols[.!='']"><xsl:attribute name="cols"><xsl:value-of select="@cols"/></xsl:attribute></xsl:if>
       			<xsl:if test="@rows[.!='']"><xsl:attribute name="rows"><xsl:value-of select="@rows"/></xsl:attribute></xsl:if>
				<xsl:if test="@readonly[.='true']"><xsl:attribute name="readonly"/></xsl:if>								
				
				<!-- Validation -->
				<xsl:if test="@validate[.!='']"><xsl:attribute name="alt"><xsl:value-of select="@validate"/></xsl:attribute></xsl:if>
				<xsl:if test="@errortext[.!='']"><xsl:attribute name="emsg"><xsl:value-of select="@errortext"/></xsl:attribute></xsl:if>
				<xsl:if test="@pattern[.!='']"><xsl:attribute name="pattern"><xsl:value-of select="@pattern"/></xsl:attribute></xsl:if>
				
				<!-- Content -->
				<xsl:choose>
					<xsl:when test="normalize-space(content)=''"><xsl:value-of select="@default"/></xsl:when>	
					<xsl:otherwise><xsl:value-of select="normalize-space(content)" /></xsl:otherwise>
				</xsl:choose>
				&#160;
			</textarea>	
			
			<input type="hidden" name="component_onload">
							
				<xsl:variable name="v_disabled">
					<xsl:choose><xsl:when test="../@readonly[.='true'] or @readonly[.='true']">true</xsl:when><xsl:otherwise>false</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:attribute name="value">
					require(["dojo/ready","dojo/string"],function(ready, str) {
						ready(function(){
							if(document.getElementById('<xsl:value-of select="@id"/><xsl:value-of select="generate-id()" />').innerHTML != '') {
								console.log('Trim content ' +  document.getElementById('<xsl:value-of select="@id"/><xsl:value-of select="generate-id()" />').innerHTML);
								document.getElementById('<xsl:value-of select="@id"/><xsl:value-of select="generate-id()" />').innerHTML = str.trim(document.getElementById('<xsl:value-of select="@id"/><xsl:value-of select="generate-id()" />').innerHTML);
							}
							
							var editor_<xsl:value-of select="@id"/><xsl:value-of select="generate-id()" /> = CKEDITOR.replace( '<xsl:value-of select="@id"/><xsl:value-of select="generate-id()" />',
								{language: 'nl'
								 ,readOnly :<xsl:value-of select="$v_disabled"/>
								 ,width : '100%'}
							 );
							editor_<xsl:value-of select="@id"/><xsl:value-of select="generate-id()" />.on( 'change', function( evt ) {
							    document.getElementById('<xsl:value-of select="@id"/><xsl:value-of select="generate-id()" />').innerHTML = evt.editor.getData();
							});
						});
					});
				</xsl:attribute>
			</input>
		</xsl:if>	
	</xsl:template>

</xsl:stylesheet>
