<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:json="http://json.org/"
	version="2.0">
	
	<xsl:import href="xml-to-json.xsl"/>
	
	<xsl:param name="cntxt"/>
	<xsl:param name="DD_CONFIG_FILE"/>
	<!--  Required to pass the context to the sylesheet from dd -->
	<xsl:param name="DD_DIAG_MODE"/>
	<xsl:variable name="settings" select="document($DD_CONFIG_FILE)/dd_config"/>
	
	<xsl:param name="skip-root" select="string('true')"/>
	
	<!--<xsl:output method="xml" version="1.0" encoding="ISO-8859-1" indent="no" omit-xml-declaration="no" media-type="text/xml"></xsl:output>-->
	<xsl:output method="html" version="4.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"  media-type="text/html"></xsl:output>

	<!-- add cntxt to root -->
	<xsl:template match="dynamicelements">
		<xsl:for-each select="element">
			<xsl:element name="{concat('q',name)}">
				<xsl:value-of select="value"/>
			</xsl:element>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="item">
		<item>
			<xsl:copy-of select="./*[not(name()='dynamicelements')]"/>
			<xsl:apply-templates select="dynamicelements"/>
		</item>
	</xsl:template>
	
	<xsl:template match="/">
		<xsl:variable name="myjson">
			<json>
				<cntxt><xsl:value-of select="$cntxt"/></cntxt>
				<xsl:copy>
					<xsl:apply-templates select="json/item"/>
				</xsl:copy>
				<xsl:copy-of select="json/*[not(name()='item')]"/>
			</json>
		</xsl:variable>
		<xsl:variable name="result" select="json:generate($myjson/json)"/>
		<textarea><xsl:value-of select="$result"/></textarea>
	</xsl:template>

</xsl:stylesheet>
