<?xml version="1.0" encoding="UTF-8"?>
<!--
#
# System:	Dynamic Dialogue (DD) System file
#
# File:			questionaire.xsl
#
# Title:		Render questionaires.
#
# Description:  Render questionaires with attr array.
# 		
# History:			Version	Person	Remark
# 03-11-2006		1.0		RuBr	Created this file

<!DOCTYPE xsl:stylesheet [
	<!ENTITY nbsp "<">
	<!ENTITY copy "<td>">
]>
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0" xmlns:xl="http://www.innovationinvestments.nl/layout" >
	<xsl:import href="../chy/components.xsl"/>
	<xsl:import href="../kpwindow_components.xsl"/>
	
	<xsl:import href="questiontype/text.xsl"/>
	<xsl:import href="questiontype/password.xsl"/>
	<xsl:import href="questiontype/labelfield.xsl"/>
	<xsl:import href="questiontype/date_picker.xsl"/>
	<xsl:import href="questiontype/date_picker_group.xsl"/>
	<xsl:import href="questiontype/popup.xsl"/>
	<xsl:import href="questiontype/popup_json.xsl"/>
	<xsl:import href="questiontype/popup_json_suggest.xsl"/>
	<xsl:import href="questiontype/textarea.xsl"/>
	<xsl:import href="questiontype/radio.xsl"/>
	<xsl:import href="questiontype/checkbox.xsl"/>
	<xsl:import href="questiontype/group.xsl"/>
	<xsl:import href="questiontype/textdiff.xsl"/>
	<xsl:import href="questiontype/comment.xsl"/>
	<xsl:import href="questiontype/file.xsl"/>
	<xsl:import href="questiontype/hidden.xsl"/>
	<xsl:import href="questiontype/separator.xsl"/>
	<xsl:import href="questiontype/block.xsl"/>
	<xsl:import href="questiontype/editor.xsl"/>
	<xsl:import href="questiontype/toggle.xsl"/>

	<xsl:param name="cntxt"/> 
	<xsl:param name="DD_CONFIG_FILE"/>
	<!--  Required to pass the context to the sylesheet from dd -->
	<xsl:param name="DD_DIAG_MODE"/>
	<xsl:variable name="settings" select="document($DD_CONFIG_FILE)/dd_config"/>

	<xsl:variable name="formid">
		<xsl:value-of select="//diag/@formid" />
	</xsl:variable>
	
	<!--<xsl:output method="html" version="1.0" encoding="ISO-8859-1" indent="no" omit-xml-declaration="no" media-type="text/xml"></xsl:output>-->
	<xsl:output method="xhtml" version="1.0" encoding="UTF-8" indent="no" omit-xml-declaration="yes" media-type="text/xml"/>


	<xsl:template match="attr[@fieldtype='questionnaire']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<!-- javascript library for questionnaire functions -->

					<xsl:for-each select="item[@group_id='' and @fieldtype!='q_hidden']">
						<xsl:apply-templates select=".">
							<xsl:with-param name="form_id" select="../@id" />
						</xsl:apply-templates>	
					</xsl:for-each>
				<xsl:if test="item[@fieldtype='q_hidden']">
							<xsl:apply-templates select="item[@fieldtype='q_hidden']">
								<xsl:with-param name="form_id" select="@id" />
							</xsl:apply-templates>	
				</xsl:if>
				<xsl:if test="not(@readonly) or @readony!='true'">
					<input type="hidden" name="component_onload" >
						<xsl:attribute name="value">
							<xsl:text>if (helpBoxes.length &gt; 0) { toggleHelp(helpBoxes[0]); }</xsl:text>
						</xsl:attribute>
					</input>
				</xsl:if>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="/">
		<tr>
			<xsl:apply-templates select="//attr[@fieldtype='questionnaire']"/>
		</tr>
	</xsl:template>
		
	<xsl:template name="questiontext">
			<xsl:param name="overrides"/>
	
	</xsl:template>

</xsl:stylesheet>
