<?xml version="1.0"?>

<!-- 

-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0" xmlns:exsl="http://exslt.org/common" extension-element-prefixes="exsl">
	<xsl:template match="item[@fieldtype='q_block']">
		
		<xsl:param name="form_id"/>
		<xsl:param name="overrides"/>
		<xsl:variable name="formid" select="$formid" />
			<!-- Display question text 
			<xsl:call-template name="questiontext">
				<xsl:with-param name="overrides" select="$overrides" />
			</xsl:call-template>
			
			-->
			<!-- Display question answer -->
			<td>
			
				<xsl:if test="$overrides and $overrides/@styleCSS[.!='']">
						<xsl:attribute name="style">
							<xsl:value-of select=" $overrides/@styleCSS"/>
						</xsl:attribute>
				</xsl:if>
				
				<xsl:if test="$overrides and $overrides/@rowspan[.!='']">
						<xsl:attribute name="rowspan">
							<xsl:value-of select=" $overrides/@rowspan"/>
						</xsl:attribute>
				</xsl:if>
			
				<xsl:attribute name="class">
					<xsl:choose>
						<xsl:when test="@class[.!='']">
							<xsl:value-of select="@class"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>questionanswer</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				
				<xsl:if test="@fwidth[.!='']"><xsl:attribute name="width"><xsl:value-of select="@fwidth" /></xsl:attribute></xsl:if>
				<xsl:variable name="group_id" select="./@id" />
				<div class="block">
					<xsl:attribute name="id"><xsl:value-of select="./@id" />_group</xsl:attribute>
					<xsl:variable name="repeat"><xsl:value-of select="./@rows" /></xsl:variable>
					<table border="0" cellpadding="0" cellspacing="0" width="100%" >
						<xsl:for-each select="../item[@group_id=$group_id]">
							<tr>
						 		<xsl:apply-templates select=".">
									<xsl:with-param name="form_id" select="../@id" />
								</xsl:apply-templates>	
								<td class="questionanswer">
									<span>
										<xsl:attribute name="id">errorsDiv<xsl:value-of select="$formid"/>_<xsl:value-of select="@id"/></xsl:attribute>
										<xsl:comment>//</xsl:comment>
									</span>
								</td>
								<td class="questionanswer">
									<xsl:if test="@helpText!=''">
										<div class="info">
											<div class="icon">
												<xsl:attribute name="onmouseover">
													showInfo(event,'<xsl:value-of select="generate-id()"/>','<xsl:value-of select="@helpText" />');
												</xsl:attribute>
												<a>
													<img border="0">
														<xsl:attribute name="src">images/icons/help.png</xsl:attribute>
														<xsl:attribute name="alt">Help</xsl:attribute>
													</img>
												</a>
												<div class="tooltip">
													<p id="{generate-id()}">...</p>
												</div>
											</div>
										</div>
									</xsl:if>
								</td>
						 	</tr>
						</xsl:for-each>	
					</table>
				</div>
				<xsl:variable name="title">
					<xsl:choose>
						<xsl:when test="./label"><xsl:value-of select="./label" disable-output-escaping="yes" /></xsl:when>
						<xsl:otherwise><xsl:value-of select="./@label" disable-output-escaping="yes"/></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				
				<input type="hidden" name="component_onload">
					<xsl:attribute name="value">
						require(["dojo/ready", "dijit/TitlePane", "dojo/dom"], function(ready, TitlePane, dom){
    						ready(function(){
								var tp;
        						tp = new dijit.TitlePane({open: false,title:"<xsl:value-of select="$title" />"}, "<xsl:value-of select="./@id" />_group");
								tp.startup();
							});
						});
					</xsl:attribute>
				</input>
			</td>
			<!-- hidden for processing formitem by dd -->
			<input type="hidden" >
				<xsl:attribute name="name"><xsl:value-of select="$form_id"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
			</input>
	</xsl:template>
</xsl:stylesheet>