<?xml version="1.0"?>

<!-- 

-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:template match="item[@fieldtype='q_checkbox' or @fieldtype='q_checkbox_else']">
		<xsl:param name="form_id"/>
		<xsl:param name="overrides"/>
		<xsl:variable name="formid" select="$formid" />
			<!-- Display question text -->
			<xsl:call-template name="questiontext">
				<xsl:with-param name="overrides" select="$overrides" />
			</xsl:call-template>
			
			
			<!-- Display question answer -->
			<td>
				<xsl:if test="$overrides and $overrides/@styleCSS[.!='']">
						<xsl:attribute name="style">
							<xsl:value-of select=" $overrides/@styleCSS"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:if test="$overrides and $overrides/@rowspan[.!='']">
						<xsl:attribute name="rowspan">
							<xsl:value-of select=" $overrides/@rowspan"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="class">
					<xsl:choose>
						<xsl:when test="@class[.!='']">
							<xsl:value-of select="@class"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>questionanswer</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:choose>
					<xsl:when test="$overrides and $overrides/@colspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="$overrides/@colspan" /></xsl:attribute></xsl:when>
					<xsl:when test="@fspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="@fspan" /></xsl:attribute></xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
				<xsl:if test="@fwidth[.!='']"><xsl:attribute name="width"><xsl:value-of select="@fwidth" /></xsl:attribute></xsl:if>
				
				<xsl:choose>
	       			<xsl:when test="../@readonly[.='true']">
	       				<xsl:for-each select="option[(@default='true' and ../content='') or (../@default=@value and ../content='') or (@value=../content)]">
							<xsl:choose>
								<xsl:when test="@label[.!='']"><xsl:value-of select="@label"/></xsl:when>
								<xsl:otherwise><xsl:value-of select="@value"/></xsl:otherwise>
							</xsl:choose>
							<xsl:if test="@elseItem='true'">
								<xsl:if test="../elseContent/@id=@value">
									<!-- temp var needed to get content elseContent element -->
									<xsl:variable name="value" select="@value" />
									<xsl:value-of select="../elseContent[./@id=$value]"/>
								</xsl:if>
							</xsl:if>
							<xsl:if test="../@linebreak='true' and position()!=last()">, </xsl:if>
						</xsl:for-each>
	       			</xsl:when>
	       			<xsl:otherwise>
	       				<xsl:for-each select="option">
							<label>
								<xsl:choose>
									<xsl:when test="../@linebreak='true'">
										<xsl:attribute name="class">radio_label vertical</xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="class">radio_label horizontal</xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>		
								<xsl:attribute name="for"><xsl:value-of select="../@id"/>_<xsl:value-of select="@value"/></xsl:attribute>
								<input class="radio_item" >
									<xsl:attribute name="type">checkbox</xsl:attribute>
									<xsl:if test="../@id[.!='']"><xsl:attribute name="name"><xsl:value-of select="../@id"/></xsl:attribute></xsl:if>
									<xsl:if test="../@id[.!='']"><xsl:attribute name="id"><xsl:value-of select="../@id"/>_<xsl:value-of select="@value"/></xsl:attribute></xsl:if>
									<xsl:if test="../@readonly='true'"><xsl:attribute name="disabled"></xsl:attribute></xsl:if>
									<xsl:if test="../@required[.='true']"><xsl:attribute name="required"><xsl:value-of select="../@required"/></xsl:attribute></xsl:if>
									<xsl:if test="@default='true' and ../content=''"><xsl:attribute name="checked"></xsl:attribute></xsl:if>
									<xsl:if test="../@default=@value and ../content=''"><xsl:attribute name="checked"></xsl:attribute></xsl:if>			
									<xsl:if test="../content=@value"><xsl:attribute name="checked"></xsl:attribute></xsl:if>	
									
									<xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
									
									<xsl:if test="../@validate[.!='']"><xsl:attribute name="alt"><xsl:value-of select="../@validate"/></xsl:attribute></xsl:if>
								</input>
								<xsl:choose>
									<xsl:when test="@label[.!='']"><xsl:value-of select="@label"/></xsl:when>
									<xsl:otherwise><xsl:value-of select="@value"/></xsl:otherwise>
								</xsl:choose>
							</label>
							
							<xsl:if test="@elseItem='true'">
								<input type="text" class="text_item"  >
									<xsl:if test="../@id[.!='']">
										<xsl:attribute name="name">
											<xsl:value-of select="../@id"/>
											<xsl:if test="../@elseItemId[.!='']">
												<xsl:value-of select="../@elseItemId"/>
											</xsl:if>
										</xsl:attribute>
										<xsl:attribute name="id">
											<xsl:value-of select="../@id"/>
											<xsl:if test="../@elseItemId[.!='']">
												<xsl:value-of select="../@elseItemId"/>
											</xsl:if>
										</xsl:attribute>
									</xsl:if>
									<xsl:if test="../elseContent/@id=@value">
										<!-- temp var needed to get content elseContent element -->
										<xsl:variable name="value" select="@value" />
										<xsl:attribute name="value"><xsl:value-of select="../elseContent[./@id=$value]"/></xsl:attribute>
									</xsl:if>
								</input>
							</xsl:if>
						</xsl:for-each>
	       			</xsl:otherwise>
	       		</xsl:choose>
				<span>
					<xsl:attribute name="id">errorsDiv<xsl:value-of select="$formid"/>_<xsl:value-of select="@id"/></xsl:attribute>
					<xsl:comment>//</xsl:comment>
				</span>
			</td>
			<!-- hidden for processing formitem by dd -->
			<input type="hidden"  >
				<xsl:attribute name="name"><xsl:value-of select="$form_id"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
			</input>
	</xsl:template>
</xsl:stylesheet>