<?xml version="1.0"?>

<!-- 

-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:template match="item[@fieldtype='q_date_picker']">
		<xsl:param name="form_id"/>
		<xsl:param name="overrides"/>
		<xsl:variable name="formid" select="$formid" />
			<!-- Display question text -->
			<xsl:call-template name="questiontext">
				<xsl:with-param name="overrides" select="$overrides" />
			</xsl:call-template>
			
			
			<!-- Display question answer -->
			<td>
				<xsl:if test="$overrides and $overrides/@styleCSS[.!='']">
						<xsl:attribute name="style">
							<xsl:value-of select=" $overrides/@styleCSS"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:if test="$overrides and $overrides/@rowspan[.!='']">
						<xsl:attribute name="rowspan">
							<xsl:value-of select=" $overrides/@rowspan"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="class">
					<xsl:choose>
						<xsl:when test="@class[.!='']">
							<xsl:value-of select="@class"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>questionanswer</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:choose>
					<xsl:when test="$overrides and $overrides/@colspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="$overrides/@colspan" /></xsl:attribute></xsl:when>
					<xsl:when test="@fspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="@fspan" /></xsl:attribute></xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
				<xsl:if test="@fwidth[.!='']"><xsl:attribute name="width"><xsl:value-of select="@fwidth" /></xsl:attribute></xsl:if>
				
				<xsl:variable name="date-format">
					<xsl:choose>
						<xsl:when test="@format[.!='']"><xsl:value-of select="@format"/></xsl:when>
						<xsl:otherwise>%d-%m-%Y</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>	
				<xsl:variable name="value">
					<xsl:choose>
						<xsl:when test="normalize-space(content)!=''"><xsl:value-of select="content"/></xsl:when>
						<xsl:otherwise><xsl:value-of select="@default"/></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>	
				<xsl:choose>
	       			<xsl:when test="../@readonly[.='true']">
	       				<xsl:choose>
							<xsl:when test="normalize-space(content)!=''"><xsl:value-of select="content"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="@default"/></xsl:otherwise>
						</xsl:choose>
	       			</xsl:when>
	       			<xsl:otherwise>
					 	<input type="text" class="span2" data-dojo-type="chy/form/DateTextBox">
							<xsl:if test="@id[.!='']"><xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute></xsl:if>										     
							<xsl:if test="@id[.!='']"><xsl:attribute name="id"><xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/></xsl:attribute></xsl:if>		
							<xsl:if test="@maxlength[.!='' and .!='0']"><xsl:attribute name="maxlength"><xsl:value-of select="@maxlength"/></xsl:attribute></xsl:if>
							<xsl:if test="@size[.!='']"><xsl:attribute name="size"><xsl:value-of select="@size"/></xsl:attribute></xsl:if>					
							<xsl:if test="@required[.='true']"><xsl:attribute name="required"><xsl:value-of select="@required"/></xsl:attribute></xsl:if>
							<xsl:if test="@readonly[.='true']"><xsl:attribute name="readonly">true</xsl:attribute></xsl:if>
							<xsl:attribute name="alt">
								<xsl:choose>
									<xsl:when test="@validate[.!=''] and not(@readonly[.='true'])">
										<xsl:value-of select="@validate"/>
									</xsl:when>
									<xsl:when test="not(@readonly[.='true'])">
										<xsl:value-of select="@validate"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text></xsl:text>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$value"/></xsl:attribute>
							<xsl:attribute name="data-dojo-props">
								name: "<xsl:value-of select="@id"/>",
								readonly: <xsl:choose>
											<xsl:when test="@readonly[.='true']">true</xsl:when>
											<xsl:otherwise>false</xsl:otherwise>
										</xsl:choose>,
								constraints : {datePattern:'dd-MM-yyyy', strict:true },						
								value: '<xsl:value-of select="$value"/>',
								formId:'<xsl:value-of select="$formid"/>'								
							</xsl:attribute>
						</input>
					</xsl:otherwise>
	       		</xsl:choose>
	       		<span>
					<xsl:attribute name="id">errorsDiv<xsl:value-of select="$formid"/>_<xsl:value-of select="@id"/></xsl:attribute>
					<xsl:comment>//</xsl:comment>
				</span>
			</td>
			<!-- hidden for processing formitem by dd -->
			<input type="hidden"  >
				<xsl:attribute name="name"><xsl:value-of select="$form_id"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
			</input>
	</xsl:template>
</xsl:stylesheet>