<?xml version="1.0"?>

<!-- 

-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:template match="item[@fieldtype='q_file']">
		<xsl:param name="form_id"/>
		<xsl:param name="overrides"/>
		<xsl:variable name="formid" select="$formid" />
			<!-- Display question text -->
			<xsl:call-template name="questiontext">
				<xsl:with-param name="overrides" select="$overrides" />
			</xsl:call-template>
			
			<xsl:variable name="separator">^^</xsl:variable>
			<!-- Display question answer -->
			<td>
				<xsl:if test="$overrides and $overrides/@styleCSS[.!='']">
						<xsl:attribute name="style">
							<xsl:value-of select=" $overrides/@styleCSS"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:if test="$overrides and $overrides/@rowspan[.!='']">
						<xsl:attribute name="rowspan">
							<xsl:value-of select=" $overrides/@rowspan"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="class">
					<xsl:choose>
						<xsl:when test="@class[.!='']">
							<xsl:value-of select="@class"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>questionanswer</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:choose>
					<xsl:when test="$overrides and $overrides/@colspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="$overrides/@colspan" /></xsl:attribute></xsl:when>
					<xsl:when test="@fspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="@fspan" /></xsl:attribute></xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
				<xsl:if test="@fwidth[.!='']"><xsl:attribute name="width"><xsl:value-of select="@fwidth" /></xsl:attribute></xsl:if>
					<xsl:choose>
	       				<xsl:when test="@readonly[.!='true'] and ../@readonly[.!='true']">
							<div class="questionFileUpload">
								<table class="questionFileUploadTable">
									<tr><td>
										<xsl:if test="storageid[.!='']">
											<a target="_blank">
												<xsl:attribute name="id"><xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/>-link</xsl:attribute>
												<xsl:attribute name="href">storageprovider?StorageID=<xsl:value-of select="storageid"/></xsl:attribute>
												<xsl:value-of select="filename"/>
											</a>&#160;<a class="icon fa fa-close">
												<xsl:attribute name="onclick">
													require(["dijit/registry","dojo/dom-construct"], function(registry,domConstruct){
														//disable upload button
														var uploadWidget = registry.byId('<xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/>');
														uploadWidget.set('disabled','disabled');
														//destory upload file list
														var fileListWidget = registry.byId('<xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/>-files');
														fileListWidget.destroy(false);
														//destory view file link
														domConstruct.create('input',{name: '<xsl:value-of select="@id"/>', type: 'hidden', value: 'DELETE'}, dojo.byId('<xsl:value-of select="$formid"/>'));
														domConstruct.destroy('<xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/>-link');
													});
												</xsl:attribute>
											</a>
										</xsl:if>
									</td><td>
										<input multiple="false" type="file" data-dojo-type="dojox/form/Uploader" label="Bestand selecteren ...">
											<xsl:attribute name="id"><xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/></xsl:attribute>
											<xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute>							
										</input>
									</td><td>
										<div data-dojo-type="dojox/form/uploader/FileList">
											<xsl:attribute name="id"><xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/>-files</xsl:attribute>
											<xsl:attribute name="data-dojo-props">uploaderId: '<xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/>', headerIndex: '', headerType: '', headerFilename: '', headerFilesize: ''</xsl:attribute>
										</div>
									</td></tr>
								</table>
							</div>							
						</xsl:when>
			       		<xsl:otherwise>
							<xsl:choose>
								<xsl:when test="ends-with(filename, '.png') or ends-with(filename, '.jpg') or ends-with(filename, '.gif')">
									<img style="max-width: 200px;">
										<xsl:attribute name="src">storageprovider?StorageID=<xsl:value-of select="storageid"/></xsl:attribute>
										<xsl:attribute name="alt"><xsl:value-of select="filename"/></xsl:attribute>
									</img>
								</xsl:when>
								<xsl:otherwise>
									<a target="_blank">
										<xsl:attribute name="href" >storageprovider?StorageID=<xsl:value-of select="storageid"/></xsl:attribute>
										<xsl:value-of select="filename"/>
									</a>
								</xsl:otherwise>
							</xsl:choose>
		       			</xsl:otherwise>
       				</xsl:choose>
			</td>
			<!-- hidden for processing formitem by dd -->
			<input type="hidden"  >
				<xsl:attribute name="name"><xsl:value-of select="$form_id"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
			</input>
	</xsl:template>
</xsl:stylesheet>