<?xml version="1.0"?>

<!-- 

-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:template match="item[@fieldtype='q_group']">
		<xsl:param name="form_id"/>
		<xsl:param name="overrides"/>
		<xsl:variable name="formid" select="$formid" />
			<!-- Display question text -->
			<xsl:call-template name="questiontext">
				<xsl:with-param name="overrides" select="$overrides" />
			</xsl:call-template>
			
			
			<!-- Display question answer -->
			<td>
				<xsl:if test="$overrides and $overrides/@styleCSS[.!='']">
						<xsl:attribute name="style">
							<xsl:value-of select=" $overrides/@styleCSS"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:if test="$overrides and $overrides/@rowspan[.!='']">
						<xsl:attribute name="rowspan">
							<xsl:value-of select=" $overrides/@rowspan"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="class">
					<xsl:choose>
						<xsl:when test="@class[.!='']">
							<xsl:value-of select="@class"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>questionanswer</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:choose>
					<xsl:when test="$overrides and $overrides/@colspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="$overrides/@colspan" /></xsl:attribute></xsl:when>
					<xsl:when test="$overrides and $overrides/@rowspan[.!='']"><xsl:attribute name="rowspan"><xsl:value-of select="$overrides/@rowspan" /></xsl:attribute></xsl:when>
					<xsl:when test="@fspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="@fspan" /></xsl:attribute></xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
				<xsl:if test="@fwidth[.!='']"><xsl:attribute name="width"><xsl:value-of select="@fwidth" /></xsl:attribute></xsl:if>
				
				<xsl:variable name="group_id" select="./@id" />
				
				<xsl:choose>
					<xsl:when test="@group_id[.='']">
						<div style="color: red;">Context for set horizontal not configured.</div>
					</xsl:when>
					<xsl:otherwise>
						<div data-dojo-type="chy/widget/Grid">
							<xsl:attribute name="id">grid_<xsl:value-of select="generate-id(.)"/></xsl:attribute>
							<xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute>
							<xsl:attribute name="data-dojo-props">
								readonly: <xsl:choose>
											<xsl:when test="@readonly[.='true'] or ../@readonly[.='true']">true</xsl:when>
											<xsl:otherwise>false</xsl:otherwise>
										</xsl:choose>, 
								url:'cheyenne?cddid=<xsl:choose>
											<xsl:when test="@id[starts-with(.,'N')]">xam.json.context_info</xsl:when>
											<xsl:otherwise>xam.json.instance_list&amp;P_INSTANCE_ID=<xsl:value-of select="../@instance_id"/></xsl:otherwise>
										</xsl:choose>&amp;P_CONTEXT_ID=<xsl:value-of select="@group_id"/>&amp;cmode=json&amp;contenttype=application/json', 
								formid: '<xsl:value-of select="$formid"/>'
							</xsl:attribute>
						</div>
						<!-- call post handeling for deleted rows -->
						<xsl:choose>
							<xsl:when test="../@readonly[.!='true']">				
								<input type="hidden" name="component_onsubmit">
									<xsl:attribute name="value">
										gridDoPost('grid_<xsl:value-of select="generate-id(.)"/>');
									</xsl:attribute>
								</input>	
							</xsl:when>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</td>
	</xsl:template>
</xsl:stylesheet>