<?xml version="1.0"?>

<!-- 

-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:template match="item[@fieldtype='q_popup']">
		<xsl:param name="form_id"/>
		<xsl:param name="overrides"/>
		<xsl:variable name="formid" select="$formid" />
			<!-- Display question text -->
			<xsl:call-template name="questiontext">
				<xsl:with-param name="overrides" select="$overrides" />
			</xsl:call-template>
			
			
			<xsl:variable name="separator">^^</xsl:variable>
			<xsl:variable name="default">
				<xsl:choose>
					<xsl:when test="contains(@default,$separator)">
						<xsl:value-of select="substring-before(@default,$separator)" />					
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="@default"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			
			<!-- Display question answer -->
			<td>
				<xsl:if test="$overrides and $overrides/@styleCSS[.!='']">
						<xsl:attribute name="style">
							<xsl:value-of select=" $overrides/@styleCSS"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:if test="$overrides and $overrides/@rowspan[.!='']">
						<xsl:attribute name="rowspan">
							<xsl:value-of select=" $overrides/@rowspan"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="class">
					<xsl:choose>
						<xsl:when test="@class[.!='']">
							<xsl:value-of select="@class"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>questionanswer</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:choose>
					<xsl:when test="$overrides and $overrides/@colspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="$overrides/@colspan" /></xsl:attribute></xsl:when>
					<xsl:when test="@fspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="@fspan" /></xsl:attribute></xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
				
				<xsl:if test="@fwidth[.!='']"><xsl:attribute name="width"><xsl:value-of select="@fwidth" /></xsl:attribute></xsl:if>
				<xsl:choose>
	       			<xsl:when test="../@readonly[.='true'] or @readonly[.='true']">
	       				<!--<xsl:for-each select="option[($default='true' and ../content='') or ( ( contains(@value,$separator) and (($default=substring-before(@value,$separator) and ../content='') or substring-before(@value,$separator)=substring-before(../content,$separator)) ) or ( not( contains(@value,$separator) ) and (($default=@value and ../content='') or @value=../content) ) )]">
							<xsl:choose>
								<xsl:when test="@label[.!='']"><xsl:value-of select="@label"/></xsl:when>
								<xsl:otherwise><xsl:value-of select="@value"/></xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>-->
						<xsl:choose>
							<xsl:when test="viewcontext[.!='']">
								<a>
									<xsl:attribute name="onclick">
										KPWindowLoadParseStr('cheyenne?cddid=xam.instance_addedit&amp;P_CONTEXT_CODE=<xsl:value-of select="viewcontext"/>&amp;P_INSTANCE_ID=<xsl:value-of select="substring-before(content,'^^')" />&amp;P_READONLY=true','kpwindowoverlay',KPWindowFindParent(this).id);
									</xsl:attribute>
									<xsl:value-of select="elseContent"/>
								</a>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="elseContent"/>
							</xsl:otherwise>
						</xsl:choose>
	       			</xsl:when>
	       			<xsl:otherwise>
						<select class="select_item" data-dojo-type="chy/form/NamedSetSelect" required="true">
							<xsl:if test="@id[.!='']"><xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute></xsl:if>
							<xsl:if test="@id[.!='']"><xsl:attribute name="id"><xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/></xsl:attribute></xsl:if>
		    				<xsl:if test="@size[.!='']"><xsl:attribute name="size"><xsl:value-of select="@size"/></xsl:attribute></xsl:if>
							<xsl:if test="@validate[.!='']"><xsl:attribute name="alt"><xsl:value-of select="@validate"/></xsl:attribute></xsl:if>
							<xsl:if test="@readonly='true'"><xsl:attribute name="disabled"></xsl:attribute></xsl:if>
							<!--<xsl:if test="@required[.='true']"><xsl:attribute name="required"><xsl:value-of select="@required"/></xsl:attribute></xsl:if>-->
							<xsl:attribute name="data-dojo-props">
								formId:'<xsl:value-of select="$formid"/>',
								dataUrl:'<xsl:value-of select="data_url" />',
								val:'<xsl:value-of select="content" />',
								default: '<xsl:value-of select="@default"/>',
								realRequired: '<xsl:value-of select="@required"/>'
							</xsl:attribute>
							<xsl:if test="not(data_url)">
								<xsl:for-each select="option">
									<option>
										<xsl:choose>
											<xsl:when test="contains(@value,$separator)">
												<xsl:if test="substring-before(../content,$separator)=substring-before(@value,$separator)"><xsl:attribute name="selected"></xsl:attribute></xsl:if>
												<xsl:if test="$default=substring-before(@value,$separator) and string-length(../content) = 0"><xsl:attribute name="selected"></xsl:attribute></xsl:if>										
											</xsl:when>
											<xsl:otherwise>
												<xsl:if test="../content=@value"><xsl:attribute name="selected"></xsl:attribute></xsl:if>
												<xsl:if test="$default=@value and string-length(../content) = 0"><xsl:attribute name="selected"></xsl:attribute></xsl:if>
											</xsl:otherwise>
										</xsl:choose>
										<xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
										<xsl:choose>
											<xsl:when test="@label[.!='']"><xsl:value-of select="@label"/></xsl:when>
											<xsl:otherwise><xsl:value-of select="@value"/></xsl:otherwise>
										</xsl:choose>
									</option>
								</xsl:for-each>							
							</xsl:if>
						</select>
						<input type="hidden" >
							<xsl:attribute name="name"><xsl:value-of select="@id"/>_else</xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="elseContent" /></xsl:attribute>
						</input>
						<xsl:if test="addcontext[.!=''] and //diag/@cmode[.!='kpwindow_dialogborder_overlay']">
							<a class="icon add" style="padding: 5px;">
								<xsl:attribute name="onclick">
									require(["dojo/_base/connect","dijit/registry"], function(connect,reg){
									  connect.subscribe("/overlayclose", function(data){
											var widgetId = '<xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/>';
											reg.byId(widgetId).setLatestInstance();
									  });
									});
									KPWindowLoadParseStr('cheyenne?cddid=xam.instance_addedit&amp;P_CONTEXT_CODE=<xsl:value-of select="addcontext"/>&amp;NO_REFRESH=true','kpwindowoverlay',KPWindowFindParent(this).id);
								</xsl:attribute>
							</a>
						</xsl:if>
					</xsl:otherwise>
	       		</xsl:choose>
			</td>
			<!-- hidden for processing formitem by dd -->
			<input type="hidden" >
				<xsl:attribute name="name"><xsl:value-of select="$form_id"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
			</input>
	</xsl:template>
</xsl:stylesheet>