<?xml version="1.0"?>

<!-- 

-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:template match="item[@fieldtype='q_textarea']">
		<xsl:param name="form_id"/>
		<xsl:param name="overrides"/>
		<xsl:variable name="formid" select="$formid" />
			<!-- Display question text -->
			<xsl:call-template name="questiontext">
				<xsl:with-param name="overrides" select="$overrides" />
			</xsl:call-template>
			
			
			<!-- Display question answer -->
			<td>
				<xsl:if test="$overrides and $overrides/@styleCSS[.!='']">
						<xsl:attribute name="style">
							<xsl:value-of select=" $overrides/@styleCSS"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:if test="$overrides and $overrides/@rowspan[.!='']">
						<xsl:attribute name="rowspan">
							<xsl:value-of select=" $overrides/@rowspan"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="class">
					<xsl:choose>
						<xsl:when test="@class[.!='']">
							<xsl:value-of select="@class"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>questionanswer</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:choose>
					<xsl:when test="$overrides and $overrides/@colspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="$overrides/@colspan" /></xsl:attribute></xsl:when>
					<xsl:when test="@fspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="@fspan" /></xsl:attribute></xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
				<xsl:if test="@fwidth[.!='']"><xsl:attribute name="width"><xsl:value-of select="@fwidth" /></xsl:attribute></xsl:if>
				<xsl:choose>
	       			<xsl:when test="../@readonly[.='true']">
	       				<xsl:choose>
							<xsl:when test="./content/@filecontent and ./content/@filecontent != ''">
								<xsl:variable name="filename" select="./content/@filecontent" />
								<xsl:choose>
									<xsl:when test="normalize-space(//text_content[@id=$filename]/content)!=''">
										<xsl:call-template name="add-line-breaks">
								        	<xsl:with-param name="string" select="//text_content[@id=$filename]/content" />
								        </xsl:call-template>
									</xsl:when>	
									<xsl:when test="normalize-space(content)=''">
										<xsl:call-template name="add-line-breaks">
								        	<xsl:with-param name="string" select="@default" />
								        </xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="add-line-breaks">
								        	<xsl:with-param name="string" select="content" />
								        </xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="normalize-space(content)=''">
								<xsl:call-template name="add-line-breaks">
									<xsl:with-param name="string" select="@default" />
								</xsl:call-template>
							</xsl:when>	
							<xsl:otherwise>
								<xsl:call-template name="add-line-breaks">
									<xsl:with-param name="string" select="content" />
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
	       			</xsl:when>
	       			<xsl:otherwise>
						<textarea  >
							<xsl:if test="@id[.!='']"><xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute></xsl:if>
							<xsl:if test="@id[.!='']"><xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute></xsl:if>
		    				<xsl:if test="@cols[.!='']"><xsl:attribute name="cols"><xsl:value-of select="@cols"/></xsl:attribute></xsl:if>
		    				<xsl:if test="@rows[.!='']"><xsl:attribute name="rows"><xsl:value-of select="@rows"/></xsl:attribute></xsl:if>
							<xsl:if test="@readonly[.='true']"><xsl:attribute name="readonly"/></xsl:if>								
							<xsl:if test="@required[.='true']"><xsl:attribute name="required"><xsl:value-of select="@required"/></xsl:attribute></xsl:if>
							<xsl:if test="@maxlength[.!='']">
								<xsl:attribute name="maxlength"><xsl:value-of select="@maxlength"/></xsl:attribute>
								<xsl:if test="not(@readonly) or @readonly[.!='true']">
									<xsl:attribute name="onKeyUp">textCounter(this,document.getElementById('cnt_<xsl:value-of select="@id"/>'),<xsl:value-of select="@maxlength"/>);</xsl:attribute>
									<xsl:attribute name="onKeyPress">textCounter(this,document.getElementById('cnt_<xsl:value-of select="@id"/>'),<xsl:value-of select="@maxlength"/>);</xsl:attribute>
								</xsl:if>
							</xsl:if>
										
							<xsl:choose>
								<xsl:when test="./content/@filecontent and ./content/@filecontent != ''">
									<xsl:variable name="filename" select="./content/@filecontent" />
									<xsl:choose>
										<xsl:when test="normalize-space(//text_content[@id=$filename]/content)!=''">
											<xsl:value-of select="//text_content[@id=$filename]/content" />
										</xsl:when>	
										<xsl:when test="normalize-space(content)=''"><xsl:value-of select="@default"/></xsl:when>
										<xsl:otherwise><xsl:value-of select="content" /></xsl:otherwise>
									</xsl:choose>
								</xsl:when>
								<xsl:when test="normalize-space(content)=''"><xsl:value-of select="@default"/></xsl:when>	
								<xsl:otherwise><xsl:value-of select="content" /></xsl:otherwise>
							</xsl:choose>
							<xsl:text> </xsl:text>
						</textarea>
						<xsl:if test="not(@readonly) or @readonly[.!='true'] and @maxlength[.!='']">
							<input type="text" class="textcounter" readonly="true">
								<xsl:attribute name="id">cnt_<xsl:value-of select="@id"/></xsl:attribute>
							</input>
						</xsl:if>
		    		</xsl:otherwise>
		    	</xsl:choose>
		    	<span>
					<xsl:attribute name="id">errorsDiv<xsl:value-of select="$formid"/>_<xsl:value-of select="@id"/></xsl:attribute>
					<xsl:comment>//</xsl:comment>
				</span>
			</td>
			<xsl:if test="not(../@readonly) or ../@readonly[.!='true']">
				<input type="hidden" name="component_onload">
					<xsl:attribute name="value">
						el = document.getElementById('<xsl:value-of select="@id"/>'); el.value=el.value.replace(/[\s\240 ]*$/g, '');
					</xsl:attribute>
				</input>
			</xsl:if>
			<xsl:if test="(not(../@readonly) or ../@readonly[.!='true']) and (not(@readonly) or @readonly[.!='true']) and @maxlength[.!='']">
				<input type="hidden" name="component_onload">
					<xsl:attribute name="value">textCounter(document.getElementById('<xsl:value-of select="@id"/>'),document.getElementById('cnt_<xsl:value-of select="@id"/>'),<xsl:value-of select="@maxlength"/>);</xsl:attribute>
				</input>
			</xsl:if>
			<!-- hidden for processing formitem by dd -->
			<input type="hidden"  >
				<xsl:attribute name="name"><xsl:value-of select="$form_id"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
			</input>
			<!-- hidden for storageprovider processing -->
			<input type="hidden"  >
				<xsl:attribute name="name">STORAGE_F</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
			</input>
	</xsl:template>
</xsl:stylesheet>