<?xml version="1.0"?>

<!-- 
Let op, desplaytype en QT_ASSEMENT verwijderd!!
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:template match="item[@fieldtype='q_textdiff']">
		<xsl:param name="form_id"/>
		<xsl:param name="overrides"/>
		<xsl:variable name="formid" select="$formid" />
		<!-- Display question text -->
		<xsl:call-template name="questiontext">
				<xsl:with-param name="overrides" select="$overrides" />
			</xsl:call-template>
			
		<!-- Display question answer -->
		<td>
			<xsl:if test="$overrides and $overrides/@styleCSS[.!='']">
						<xsl:attribute name="style">
							<xsl:value-of select=" $overrides/@styleCSS"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:if test="$overrides and $overrides/@rowspan[.!='']">
						<xsl:attribute name="rowspan">
							<xsl:value-of select=" $overrides/@rowspan"/>
						</xsl:attribute>
				</xsl:if>
			<xsl:attribute name="class">
				<xsl:choose>
					<xsl:when test="@class[.!='']">
						<xsl:value-of select="@class"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>questionanswer</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:choose>
				<xsl:when test="$overrides and $overrides/@colspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="$overrides/@colspan" /></xsl:attribute></xsl:when>
				<xsl:when test="@fspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="@fspan" /></xsl:attribute></xsl:when>
				<xsl:otherwise></xsl:otherwise>
			</xsl:choose>
			<xsl:if test="@fwidth[.!='']"><xsl:attribute name="width"><xsl:value-of select="@fwidth" /></xsl:attribute></xsl:if>
			<xsl:choose>
	       			<xsl:when test="../@readonly[.='true']">
		       				<xsl:choose>
								<xsl:when test="./content/@filecontent and ./content/@filecontent != ''">
									<xsl:variable name="filename" select="./content/@filecontent" />
									<xsl:choose>
										<xsl:when test="normalize-space(//text_content[@id=$filename]/content)!=''">
											<xsl:call-template name="add-line-breaks">
									        	<xsl:with-param name="string" select="//text_content[@id=$filename]/content" />
									        </xsl:call-template>
										</xsl:when>	
										<xsl:when test="normalize-space(content)=''">
											<xsl:value-of select="@default" />
										</xsl:when>	
										<xsl:otherwise>
											<xsl:value-of select="content" />
										</xsl:otherwise>
									</xsl:choose>
								</xsl:when>
								<xsl:when test="normalize-space(content)=''">
									<xsl:value-of select="@default" />
								</xsl:when>	
								<xsl:otherwise>
									<xsl:value-of select="content" />
								</xsl:otherwise>
							</xsl:choose>
	       			</xsl:when>
	       			<xsl:otherwise>
						<textarea  >
			   					<xsl:if test="@id[.!='']"><xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute></xsl:if>
			   					<xsl:if test="@id[.!='']"><xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute></xsl:if>
			       				<xsl:if test="@cols[.!='']"><xsl:attribute name="cols"><xsl:value-of select="@cols"/></xsl:attribute></xsl:if>
			       				<xsl:if test="@rows[.!='']"><xsl:attribute name="rows"><xsl:value-of select="@rows"/></xsl:attribute></xsl:if>
							<xsl:if test="@readonly[.='true']"><xsl:attribute name="readonly"/></xsl:if>								
							<!--<xsl:if test="@maxlength[.!='']">
								<xsl:attribute name="maxlength"><xsl:value-of select="@maxlength"/></xsl:attribute>
								<xsl:attribute name="onblur">
									<xsl:text>chkLen( this, </xsl:text><xsl:value-of select="@maxlength"/><xsl:text>)</xsl:text>
								</xsl:attribute>
							</xsl:if>-->
							<xsl:if test="@validate[.!='0']">
								<xsl:attribute name="alt"><xsl:value-of select="@validate"/></xsl:attribute>
								<!--<xsl:attribute name="emsg">
									<xsl:text>Maximale lengte overschreden</xsl:text>
								</xsl:attribute>-->
							</xsl:if>	
							
							<xsl:choose>
								<xsl:when test="./content/@filecontent and ./content/@filecontent != ''">
									<xsl:variable name="filename" select="./content/@filecontent" />
									<xsl:choose>
										<xsl:when test="normalize-space(//text_content[@id=$filename]/content)!=''">
											<xsl:value-of select="//text_content[@id=$filename]/content" />
										</xsl:when>	
										<xsl:when test="normalize-space(content)=''">
											<xsl:value-of select="@default" />
										</xsl:when>	
										<xsl:otherwise>
											<xsl:value-of select="content" />
										</xsl:otherwise>
									</xsl:choose>
								</xsl:when>
								<xsl:when test="normalize-space(content)=''">
									<xsl:value-of select="@default" />
								</xsl:when>	
								<xsl:otherwise>
									<xsl:value-of select="content" />
								</xsl:otherwise>
							</xsl:choose>
							
						</textarea>
						
						<xsl:choose>
								<xsl:when test="./content/@filecontent and normalize-space(./content/@filecontent) != '' and normalize-space(./content/@filediffcontent) and normalize-space(./content/@filediffcontent) != ''">
									<xsl:variable name="filenamecontent" select="./content/@filecontent" />
									<xsl:variable name="filenamediffcontent" select="./content/@filediffcontent" />
									<xsl:if test="normalize-space(content/@detailscall[.!='']) and (normalize-space(//text_content[@id=$filenamecontent]/content) != normalize-space(//text_content[@id=$filenamediffcontent]/content))">
										<img border="0" style="margin-left: 5px"  >
											<xsl:attribute name="onclick">
												javascript:KPWindowSwitchCSS('<xsl:call-template name="getKpwindowlayout"/>');
												KPWindowLoad('<xsl:value-of select="normalize-space(content/@detailscall)" />',<xsl:call-template name="getTarget"/>);
											</xsl:attribute>
											<xsl:attribute name="src">images/redigeer.gif</xsl:attribute>
										</img>
									</xsl:if>
								</xsl:when>
								<xsl:otherwise>
									<xsl:if test="content/@detailscall[.!='']">
										<img border="0" style="margin-left: 5px" >
											<xsl:attribute name="onclick">
												javascript:KPWindowSwitchCSS('<xsl:call-template name="getKpwindowlayout"/>');
												KPWindowLoad('<xsl:value-of select="normalize-space(content/@detailscall)" />',<xsl:call-template name="getTarget"/>);
											</xsl:attribute>
											<xsl:attribute name="src">images/beoordeel.gif</xsl:attribute>
										</img>
									</xsl:if>
								</xsl:otherwise>
							</xsl:choose>
							
			    		</xsl:otherwise>
			    	</xsl:choose>
			    	<span>
					<xsl:attribute name="id">errorsDiv<xsl:value-of select="$formid"/>_<xsl:value-of select="@id"/></xsl:attribute>
					<xsl:comment>//</xsl:comment>
				</span>
		</td>
		<!-- hidden for processing formitem by dd -->
		<input type="hidden"  >
			<xsl:attribute name="name"><xsl:value-of select="$form_id"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
		</input>
	</xsl:template>
</xsl:stylesheet>