<?xml version="1.0"?>

<!-- 

-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:template match="item[@fieldtype='q_toggle']">
		<xsl:param name="form_id"/>
		<xsl:param name="overrides"/>
		<xsl:variable name="formid" select="$formid" />
			<!-- Display question text -->
			<xsl:call-template name="questiontext">
				<xsl:with-param name="overrides" select="$overrides" />
			</xsl:call-template>
			
			
			<!-- Display question answer -->
			<td>
				<xsl:if test="$overrides and $overrides/@styleCSS[.!='']">
						<xsl:attribute name="style">
							<xsl:value-of select=" $overrides/@styleCSS"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:if test="$overrides and $overrides/@rowspan[.!='']">
						<xsl:attribute name="rowspan">
							<xsl:value-of select=" $overrides/@rowspan"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="class">
					<xsl:choose>
						<xsl:when test="@class[.!='']">
							<xsl:value-of select="@class"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>questionanswer</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:choose>
					<xsl:when test="$overrides and $overrides/@colspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="$overrides/@colspan" /></xsl:attribute></xsl:when>
					<xsl:when test="@fspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="@fspan" /></xsl:attribute></xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
				<xsl:if test="@fwidth[.!='']"><xsl:attribute name="width"><xsl:value-of select="@fwidth" /></xsl:attribute></xsl:if>
				
				<xsl:choose>
	       			<xsl:when test="../@readonly[.='true']">
	       				<xsl:if test="content='1'">
	       					<i class="fa fa-check"><xsl:comment>spacer</xsl:comment></i>
	       				</xsl:if>
	       			</xsl:when>
	       			<xsl:otherwise>
       					<input class="radio_item" >
							<xsl:attribute name="type">checkbox</xsl:attribute>
							<xsl:if test="@id[.!='']"><xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute></xsl:if>
							<xsl:if test="@id[.!='']"><xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute></xsl:if>
							<xsl:if test="@readonly='true'"><xsl:attribute name="disabled"></xsl:attribute></xsl:if>
							<xsl:if test="@required[.='true']"><xsl:attribute name="required"><xsl:value-of select="@required"/></xsl:attribute></xsl:if>
							<xsl:if test="@default='true' and content=''"><xsl:attribute name="checked"></xsl:attribute></xsl:if>
							<xsl:if test="@default='1' and content=''"><xsl:attribute name="checked"></xsl:attribute></xsl:if>			
							<xsl:if test="content='1'"><xsl:attribute name="checked"></xsl:attribute></xsl:if>			
							
							<xsl:attribute name="value">1</xsl:attribute>
							
							<xsl:if test="@validate[.!='']"><xsl:attribute name="alt"><xsl:value-of select="@validate"/></xsl:attribute></xsl:if>
						</input>
	       			</xsl:otherwise>
	       		</xsl:choose>
				<span>
					<xsl:attribute name="id">errorsDiv<xsl:value-of select="$formid"/>_<xsl:value-of select="@id"/></xsl:attribute>
					<xsl:comment>//</xsl:comment>
				</span>
			</td>
			<!-- hidden for processing formitem by dd -->
			<input type="hidden"  >
				<xsl:attribute name="name"><xsl:value-of select="$form_id"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
			</input>
	</xsl:template>
</xsl:stylesheet>