define([
		"dojo/_base/declare",
		"dojo/ready", 
		"dojo/store/Memory", 
		"dojo/store/Cache",
		"chy/store/Json", 
		"dijit/form/ComboBox",
		"dojo/request",
		"dojo/dom",
		"dojo/dom-construct",
		"dojo/_base/lang",
		"dojo/data/util/filter",
		"dojo/when",
		"dijit/registry",
		"dojo/_base/array",
		"dojox/form/Manager",
		"dojo/date/locale",
		"dojo/_base/xhr",
		"chy/_base/_ValidateMixin",
	], function(declare,ready, Memory,Cache, Json, ComboBox,request,dom,domc,lang,filter,when,reg,array,Manager,locale,xhr,_ValidateMixin){
		
	return declare("chy.form.PopupJson",[ComboBox,_ValidateMixin],{
		store: null,
		allowFreetext: false,
		labelType: "html",
		labelAttr: "label",
		
		constructor: function(args){
			declare.safeMixin(this,args);
			this.autoComplete=false;
			//load store
			if (this.dataUrl !='') {
				this.store=new Json({idProperty:"value"})
				this.store.target=this.dataUrl+"&P_SELECT_OPTION=0&P_EMPTY_OPTION=0";
				this.store.startLength=3;
				this.store.onQuery=function(items){
							console.log("select.onFetch",items);
							items.forEach(function(item){
								if (item.value!=null) {
									item.value=''+item.value;
								}
							});	
							
						}
			}
			//init widget
			this.inherited(arguments);
			this._this = this;
			this.hasDownArrow=true;
		},  

		postCreate: function(){
			this.inherited(arguments);
			//start widget and select selected value
			this.startup();
			//this._buttonNode.style="display:none;";
			//set value or default value from json store
			if(this.val != ''){
				this.set('value',this.val.split("^^")[1]);
			} else if(this.default != '') {
				var _this = this;
				this.store.get(this.default, null).then(function(e){
					_this.set('item',e);
				});				
			}
		},         
		
		onChange: function(e)
		{
			console.log("Combobox onchange",e,this.item);
			
			this.inherited(arguments);
			
			if(this.item!=null)
			{
				//update _else value with display string
				reg.byId(this.formId).formNodeValue(this.realName,this.item.value);
				if (this.mapping!=null) {
					var _this = this;
					array.forEach(_this.item.mappingvalues, function(mapValue, i){
						array.forEach(_this.mapping, function(formMap, j){
							if(formMap.source == mapValue.source) {
								console.log("Mapping Value", formMap, mapValue);
								if(mapValue.value == null){
									mapValue.value = '';
								}
								//set value with formmanager
								reg.byId(_this.formId).formNodeValue(formMap.target, mapValue.value);
							}
						}); 
					});
				}
			} else if(this.allowFreetext) {
				reg.byId(this.formId).formNodeValue(this.realName,'-1');
			} else {
				reg.byId(this.formId).formNodeValue(this.realName,'');
				reg.byId(this.formId).formNodeValue(this.realName+'_else','');
			}
		},
			
		setLatestInstance: function(){
			var _this = this;
			xhr("GET", {
				url: "cheyenne?cddid=xam.json.latestinstance&cmode=json",
				handleAs: "json",
				error: function(error){
					console.error("Cthulhu",error);
				}
			}).then(function(data){
				_this.store.get(data.latestinstance, null).then(function(e){
					_this.set('item',e);
				});	
			});
		}
	});
});
